Index: trunk/paper/notes.tex
===================================================================
--- trunk/paper/notes.tex	(revision 100)
+++ trunk/paper/notes.tex	(revision 113)
@@ -1,4 +1,4 @@
 \documentclass[a4paper,11pt,oneside,onecolumn]{article}
-\usepackage[english]{babel}
+%\usepackage[english]{babel}
 \usepackage[ansinew]{inputenc}
 \usepackage{abstract}
@@ -51,10 +51,14 @@
 a general purpose experiment. The simulation includes a tracking system, embedded into a magnetic field, calorimetry and a muon
 system, and possible very forward detectors arranged along the beamline.
-The framework is interfaced to standard file format (e.g. Les Houches Event File) and outputs observable analysis data objects, like missing transverse energy and collections of electrons or jets.
-The simulation of detector response takes into account the detector resolution, and usual reconstruction algorithms for complex objects, like FastJet. A simplified preselection can also be applied on processed data for trigger emulation. Detection of very forward scattered particles relies on the transport in beamlines with the Hector software. Finally, the FROG 2D/3D event display is used for visualisation of the collision final states.
+The framework is interfaced to standard file formats (e.g. Les Houches Event File) and outputs observable analysis data objects, like missing transverse energy and collections of electrons or jets.
+The simulation of detector response takes into account the detector resolution, and usual reconstruction algorithms for complex objects, like \textsc{FastJet}. A simplified preselection can also be applied on processed data for trigger emulation. Detection of very forward scattered particles relies on the transport in beamlines with the \textsc{Hector} software. Finally, the \textsc{Frog} 2D/3D event display is used for visualisation of the collision final states.
 An overview of \textsc{Delphes} is given as well as a few use-cases for illustration.
 \vspace{1cm}
 
-\saythanks
+\noindent
+\textit{Keywords:} \textsc{Delphes}, fast simulation, LHC, smearing, trigger, \textsc{FastJet}, \textsc{Hector}, \textsc{Frog}
+\vspace{1cm}
+
+%\saythanks
 
 \section{Introduction}
@@ -64,19 +68,68 @@
 % - 3) permet de comparer
 
-A fast simulation of a typical \textsc{lhc} multipurpose detector response can be used to obtain more realistic observables and fast approximate estimates of signal and background rates for specific channels. \textsc{Delphes} includes the most crucial detector apects as jet reconstruction, momentum/energy smearing for leptons, photons and hadrons and missing transverse energy. Starting from ``particle-level" information, the package provides reconstructed jets, isolated leptons, photons, reconstructed charged tracks, calorimeter towers and the expected transverse missing energy. Although this kind of approach yields much realistic results than a simple ``parton-level" analysis, a quick simulation comes at the expense of detector details. Therefore, the interactions not simulated in \textsc{Delphes} are: secondary interactions, multiple interactions, photon conversion, electron Bremsstrahlung, magnetic field effects, detector dead materials.\\
-
-The simulation package proceeds in two stages. The first part is executed on the generated events. ``Particle-level" informations are read from input files and stored in a {\it \textsc{gen}} \textsc{root} tree. Three varieties of input files can currently be used as input in \textsc{Delphes}. In order to process events from many different generators, the standard Monte Carlo event structure StdHep can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in "Les Houches Event Format" (\textsc{lhef}) and \textsc{root} files obtained using the {\bf h2root} converter program. This first stage is performed using three C++ classes: {\verb HEPEVTConverter }, {\verb LHEFConverter } and {\verb STDHEPConverter }. Afterwards, \textsc{Delphes} performs a simple trigger simulation and reconstruct "high-level objects". These informations are organised in classes and each objects are ordered with respect to the transverse momentum. The output of the various C++ classes is stored in the {\it Analysis} tree. The program is driven by a datacard (data/DataCardDet.dat) which allow a large spectrum of running conditions by modifying basic detector parameters, including calorimeter and tracking coverage and resolution, thresholds or jet algorithm parameters.\\
-
+Experiments at high energy colliders are very complex systems, in several ways. First, in terms of the various detector subsystems, including tracking, central calorimetry, forward calorimetry, and muon chambers, with different principles, technologies, geometries and sensitivities. Then, due to the requirement of a highly effective online selection (i.e. a \textit{trigger}) which is subdivided into several levels for an optimal reduction factor, but based only on partial data. Finally, in terms of the experiment software with different data format (like \textit{raw} or \textit{reconstructed} data), many reconstruction algorithms and particle identification schemes.
+
+This complexity is handled by large collaborations of thousands of people, which restrict the availability of the data, software and documentation to their members. Real data analyses require a full detector simulation, including the various detector inefficiencies, the dead material, the imperfections and the geometrical details. Moreover, detector calibration and alignment are crucial. Such simulation is very complicated, technical and slow. On the other hand, phenomenological studies, looking for the observability of given signals, may require only fast but realistic estimates of the observables.
+
+A new framework, called \textsc{Delphes}~\cite{bib:Delphes}, is introduced here, for the fast simulation of a general purpose collider experiment. 
+Using the framework, observables can be estimated for specific signal and background channels, as well as their production and measurement rates, under a set of assumptions. 
+Starting from the output of event generators, the simulation of the detector response takes into account the subdetector resolutions, by smearing the kinematical properties of the visible final particles. Tracks of charged particles and calorimetric towers are then created.
+
+\textsc{Delphes} includes the most crucial experimental features, like (1) the geometry of both central or forward detectors; (2) lepton isolation; (3) reconstruction of photons, leptons, jets, $b$-jets, $\tau$-jets and missing transverse energy; (4) trigger emulation and (5) an event display (Fig.~\ref{fig:FlowChart}).
+
+\begin{figure}[!h]
+\begin{center}
+\includegraphics[width=\columnwidth]{FlowDelphes}
+\caption{Flow chart describing the principles behind \textsc{Delphes}.}
+\label{fig:FlowChart}
+\end{center}
+\end{figure}
+
+Although this kind of approach yields much realistic results than a simple ``parton-level" analysis, a fast simulation comes with some limitations. Detector geometry is idealised, being uniform, symmetric around the beam axis, and having no craks nor dead material. Secondary interactions, multiple scatterings, photon conversion and bremsstrahlung are also neglected.
+%
+
+
+The simulation package proceeds in two stages. The first part is executed on the generated events. ``Particle-level" informations are read from input files and stored in a {\it \textsc{gen}} \textsc{root} tree. Three varieties of input files can currently be used as input in \textsc{Delphes}. In order to process events from many different generators, the standard Monte Carlo event structure StdHep can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in "Les Houches Event Format" (\textsc{lhef}) and \textsc{root} files obtained using the {\bf h2root} converter program. This first stage is performed using three C++ classes: {\verb HEPEVTConverter }, {\verb LHEFConverter } and {\verb STDHEPConverter }. 
+Afterwards, \textsc{Delphes} performs a simple trigger simulation and reconstruct "high-level objects". These informations are organised in classes and each objects are ordered with respect to the transverse momentum. The output of the various C++ classes is stored in the {\it Analysis} tree. The program is driven by a datacard (data/DataCardDet.dat) which allow a large spectrum of running conditions by modifying basic detector parameters, including calorimeter and tracking coverage and resolution, thresholds or jet algorithm parameters.\\
+
+Usual algorithms are applied for the reconstruction of complex objects, like the missing transverse energy or the jets originating from $b$ quarks or $\tau$ leptons.
+
+A simplified preselection can also be applied on processed data for trigger emulation.
+All detectors are assumed to be symmetric with respect to the beam axis
 \section{Central detector simulation}
 
 \begin{figure}[!h]
 \begin{center}
-\includegraphics[width=\columnwidth]{detectorAng.eps}
-\caption{\small{detectorAng.eps}}
+\includegraphics[width=\columnwidth]{Detector_Delphes_1}
+\caption{Layout of the generic detector geometry assumed in \textsc{Delphes}. The innermost layer, close to the interaction point, is a ce
+ntral tracking system (pink). It is surrounded by a central calorimeter volume (green) with both electromagnetic and hadronic sections. Th
+e outer layer of the central system (red) consist of a muon system. In addition, two end-cap calorimeters (blue) extend the pseudorapidity
+ coverage of the central detector. The actual detector granularity and extension is defined in the user-configuration card. The detector i
+s assumed to be strictly symmetric around the beam axis (black line). Additional forward detectors are not depicted.}
 \label{fig:GenDet}
 \end{center}
 \end{figure}
 
-The overall layout of the general purpose detector simulated by \textsc{Delphes} is shown in figure \ref{fig:GenDet}. A central tracking system surrounded by an electromagnetic (\textsc{ecal}) and a hadron calorimeter (\textsc{hcal}). A forward calorimeter ensure a larger geometric coverage for the measurement of the missing transverse energy. The fast simulation of the detector response takes into account geometrical acceptance of sub-detectors and their finite energy resolution. No smearing is applied on particle direction.\\
+\begin{figure}[!h]
+\begin{center}
+\includegraphics[width=0.5\columnwidth]{Detector_Delphes_3}
+\caption{Profile of the layout assumed in \textsc{Delphes}. The extension of the various subdetectors, as defined in Tab.~\ref{tab:defEta}
+, are clearly visible. Same colour codes as for Fig.~\ref{fig:GenDet} are applied. Additional forward detectors are not depicted.}
+\label{fig:GenDet3}
+\end{center}
+\end{figure}
+
+\begin{figure}[!h]
+\begin{center}
+\includegraphics[width=0.6\columnwidth]{Detector_Delphes_2b}
+\caption{Layout of the generic detector geometry assumed in \textsc{Delphes}. Open 3D-view of the detector with solid volumes. Same colour codes as for Fig.~\ref{fig:GenDet} are applied. Additional forward detectors are not depicted.}
+\label{fig:GenDet2}
+\end{center}
+\end{figure}
+
+
+The overall layout of the general purpose detector simulated by \textsc{Delphes} is shown in figure \ref{fig:GenDet}. A central tracking system surrounded by an electromagnetic and a hadron calorimeters. A forward calorimeter ensures a larger geometric coverage for the measurement of the missing transverse energy. The fast simulation of the detector response takes into account geometrical acceptance of sub-detectors and their finite resolution. 
+
+\textcolor{red}{No smearing is applied on particle direction. (???)}\\
 
 Before starting to loop over events, the {\verb RESOLution } class loads all sub-detector resolutions and coverage from the detector parameter file. If no such file is provided, predifined values are used. The coverage of the various sub-systems used in the default configuration are summarized in table \ref{tab:defEta}.
@@ -173,9 +226,9 @@
 \subsection{Jet reconstruction}
 
-Jets are reconstructed using a cone algorithm with $R=0.7$ and make only use of the smeared particle momenta. The reconstructed jets are required to have a transverse momentum above 20~GeV and $|\eta|<3.0$. A jet is tagged as $b$-jets if its direction lies in the acceptance of the tracker, $|\eta|<0.5$, and if it is associated to a parent $b$-quark. A $b$-tagging efficiency of $40\%$ is assumed if the jet has a parent $b$ quark. For $c$-jets and light/gluon jets, a fake b-tagging efficiency of $10 \%$ and $1 \%$ respectively is assumed.\\
-
-\subsection{{\it b}tagging}
-
-The simulation of the b-tagging is based on the detector efficiencies assumed (1) for the tagging of a b-jet and (2) for the mis-identification of other jets as b-jets. This relies on the TAGGING\_B, MISTAGGING\_C and MISTAGGING\_L constants, for (respectively) the efficiency of tagging of a b-jet, the efficiency of mistagging a c-jet as a b-jet, and the efficiency of mistatting a light jet (u,d,s,g) as a b-jet. The (mis)tagging relies on the particle ID of the most energetic particle within a cone around the observed (eta,phi) region, with a radius CONERADIUS.
+Jets are reconstructed using a cone algorithm with $R=0.7$ and make only use of the smeared particle momenta. The reconstructed jets are required to have a transverse momentum above 20~GeV and $|\eta|<3.0$. A jet is tagged as $b$-jets if its direction lies in the acceptance of the tracker, $|\eta|<0.5$, and if it is associated to a parent $b$-quark. A $b$-tagging efficiency of $40\%$ is assumed if the jet has a parent $b$ quark. For $c$-jets and light/gluon jets, a fake $b$-tagging efficiency of $10 \%$ and $1 \%$ respectively is assumed.\\
+
+\subsection{$b$-tagging}
+
+The simulation of the $b$-tagging is based on the detector efficiencies assumed (1) for the tagging of a $b$-jet and (2) for the mis-identification of other jets as $b$-jets. This relies on the TAGGING\_B, MISTAGGING\_C and MISTAGGING\_L constants, for (respectively) the efficiency of tagging of a $b$-jet, the efficiency of mistagging a c-jet as a $b$-jet, and the efficiency of mistatting a light jet (u,d,s,g) as a $b$-jet. The (mis)tagging relies on the particle ID of the most energetic particle within a cone around the observed (eta,phi) region, with a radius CONERADIUS.
 
 \subsection{Tau identification}
@@ -236,4 +289,16 @@
 \section{Visualisation}
 
+
+As an illustration, an associated photoproduction of a $W$ boson and a $t$ quark is shown in Fig.~\ref{fig:wt}. This corresponds to a $pp \rightarrow Wt \ +  \ p  \ + \ X$ process, where the $Wt$ couple is induced by an incoming photon emitted by one interacting proton. This leading proton survives from the photon emission and subsequently from the $pp$ interaction, and is present in the final state. The experimental signature is a lack of hadronic activity in one forward hemisphere, where the surviving proton escapes. The $t$ quark decays into a $W$ and a $b$. Both $W$ bosons decay into leptons ($W \rightarrow \mu \nu_\mu$ and $W \rightarrow \tau \nu_\tau$).
+
+\begin{figure}[!h]
+\begin{center}
+\includegraphics[width=\columnwidth]{Events_Delphes_1}
+\caption{Example of $pp(\gamma p \rightarrow Wt)pY$ event. One $W$ boson decays into a $\mu \ \nu_\mu$ pair and the second one into a $\tau \ \nu_\tau$ pair. The surviving proton leaves a forward hemisphere with no hadronic activity. The isolated muon is shown as the blue vector. The $\tau$-jet is the cone around the green vector, while the reconstructed missing energy is shown in gray. One jet is visible in one forward region, along the beamline axis, opposite to the direction of the escaping proton.}
+\label{fig:wt}
+\end{center}
+\end{figure}
+
+
 \section{Conclusion and perspectives}
 
@@ -245,9 +310,9 @@
 \section{User manual}
 
-The available code is a tar file which comes with everything you need to run the DELPHES package. Nevertheless in order to visualise the events with the FROG program, you need to install libraries as explained in {\it href="http://projects.hepforge.org/frog/}
+The available code is a tar file which comes with everything you need to run the \textsc{Delphes} package. Nevertheless in order to visualise the events with the \textsc{Frog} program, you need to install libraries as explained in {\it href="http://projects.hepforge.org/frog/}
 
 \subsection{Getting started}
 
-In order to run DELPHES on your system, first download is sources and compile it:\\
+In order to run \textsc{Delphes} on your system, first download is sources and compile it:\\
 \begin{quote}
 \begin{verbatim}
@@ -261,5 +326,5 @@
 
 
-\subsection{Running Delphes on your events}
+\subsection{Running \textsc{Delphes} on your events}
 
 \subsubsection{Setting the run configuration}
@@ -268,10 +333,10 @@
 {\b The run card }\\
 
-Contains all needed information to run DELPHES
+Contains all needed information to run \textsc{Delphes}
 \begin{itemize}
   
 \item The following parameters are available: detector parameters, including calorimeter and tracking coverage and resolution, transverse energy thresholds allowed for reconstructed objects, jet algorithm to use as well as jet parameters. 
   
-\item Four flags, {\verb FLAG_bfield }, {\verb FLAG_vfd }, {\verb FLAG_trigger } and {\verb FLAG_frog } should be assigned to decide if the magnetic field propagation, the very forward detectors acceptance, the trigger selection and the preparation for FROG display respectively are running by DELPHES.
+\item Four flags, {\verb FLAG_bfield }, {\verb FLAG_vfd }, {\verb FLAG_trigger } and {\verb FLAG_frog } should be assigned to decide if the magnetic field propagation, the very forward detectors acceptance, the trigger selection and the preparation for \textsc{Frog} display respectively are running by \textsc{Delphes}.
   
 \item An example (the default detector card) can be found in {\verb files/DataCardDet.dat }
@@ -300,5 +365,5 @@
 \subsubsection{Running the code}
 Create the above cards (data/mydetector.dat and data/mytrigger.dat)
-Create a text file containing the list of input files that will be used by DELPHES (with extension *.lhe, *.root or *.hep)
+Create a text file containing the list of input files that will be used by \textsc{Delphes} (with extension *.lhe, *.root or *.hep)
 To run the code, type the following
 \begin{quote}
@@ -309,9 +374,9 @@
 
 
-\subsection{Running an analysis on your Delphes events}
-
-Two examples of codes running on the output root file of DELPHES are coming with the package
+\subsection{Running an analysis on your \textsc{Delphes} events}
+
+Two examples of codes running on the output root file of \textsc{Delphes} are coming with the package
 \begin{enumerate}
-\item The {\verb Examples/Analysis_Ex.cpp } code shows how to access the available reconstructed objects and the trigger information The two following arguments are required: a text file containing the input DELPHES root files to run, and the name of the output root file. To run the code:
+\item The {\verb Examples/Analysis_Ex.cpp } code shows how to access the available reconstructed objects and the trigger information The two following arguments are required: a text file containing the input \textsc{Delphes} root files to run, and the name of the output root file. To run the code:
   \begin{quote}
 \begin{verbatim}
@@ -320,5 +385,5 @@
   \end{quote}
   
-\item The {\verb Examples/Trigger_Only.cpp } code permits to run the trigger selection separately from the general detector simulation on output DELPHES root files. An input DELPHES root file is mandatory as argument. The new tree containing the trigger information will be added in these file. The trigger datacard is also necessary. To run the code:
+\item The {\verb Examples/Trigger_Only.cpp } code permits to run the trigger selection separately from the general detector simulation on output \textsc{Delphes} root files. An input \textsc{Delphes} root file is mandatory as argument. The new tree containing the trigger information will be added in these file. The trigger datacard is also necessary. To run the code:
   \begin{quote}
 \begin{verbatim}
@@ -329,9 +394,9 @@
 \end{enumerate}
 
-\subsection{Running the FROG event display}
+\subsection{Running the \textsc{Frog} event display}
 
 \begin{itemize}
-\item If the { \verb FLAG_frog } was switched on, two files were created during the run of DELPHES: {\verb DelphesToFrog.vis } and {\verb DelphesToFrog.geom }. They contain all the needed information to run frog.
-\item To display the events and the geometry, you first need to compile FROG. Go to the {\verb Utilities/FROG } and type {\verb make }.
+\item If the { \verb FLAG_frog } was switched on, two files were created during the run of \textsc{Delphes}: {\verb DelphesToFrog.vis } and {\verb DelphesToFrog.geom }. They contain all the needed information to run frog.
+\item To display the events and the geometry, you first need to compile \textsc{Frog}. Go to the {\verb Utilities/FROG } and type {\verb make }.
 \item Go back into the main directory and type {\verb ./Utilities/FROG/frog }.
 \end{itemize}
@@ -339,5 +404,7 @@
 \begin{thebibliography}{99}
   
-\bibitem{Delphes} \textsc{Delphes}, hepforge:
+\bibitem{bib:Delphes} \textsc{Delphes}, hepforge:
+\bibitem{bib:FastJet} \textsc{Fast-Jet},
+\bibitem{bib:Frog} \textsc{Frog},
 \end{thebibliography}
 
@@ -352,3 +419,5 @@
 CONERADIUS !
 
+ in other words, the effect related to the particle showers that would happen in the calorimeters are not taken into account. We took the hypothesis that stable particles interacting electromagneticaly deposit their energies in the ECAL calorimeter and that the hadrons just interact with the HCAL
+
 \end{document}