Index: trunk/paper/notes.tex
===================================================================
--- trunk/paper/notes.tex	(revision 115)
+++ trunk/paper/notes.tex	(revision 116)
@@ -2,5 +2,4 @@
 %\usepackage[english]{babel}
 \usepackage[ansinew]{inputenc}
-\usepackage{abstract}
 
 \usepackage{amsmath}
@@ -68,5 +67,5 @@
 % - 3) permet de comparer
 
-Experiments at high energy colliders are very complex systems, in several ways. First, in terms of the various detector subsystems, including tracking, central calorimetry, forward calorimetry, and muon chambers, with different principles, technologies, geometries and sensitivities. Then, due to the requirement of a highly effective online selection (i.e. a \textit{trigger}) which is subdivided into several levels for an optimal reduction factor, but based only on partial data. Finally, in terms of the experiment software with different data format (like \textit{raw} or \textit{reconstructed} data), many reconstruction algorithms and particle identification schemes.
+Experiments at high energy colliders are very complex systems, in several ways. First, in terms of the various detector subsystems, including tracking, central calorimetry, forward calorimetry, and muon chambers. These detectors differ with their principles, technologies, geometries and sensitivities. Then, due to the requirement of a highly effective online selection (i.e. a \textit{trigger}), subdivided into several levels for an optimal reduction factor, but based only on partially processed data. Finally, in terms of the experiment software, with different data formats (like \textit{raw} or \textit{reconstructed} data), many reconstruction algorithms and particle identification schemes.
 
 This complexity is handled by large collaborations of thousands of people, which restrict the availability of the data, software and documentation to their members. Real data analyses require a full detector simulation, including the various detector inefficiencies, the dead material, the imperfections and the geometrical details. Moreover, detector calibration and alignment are crucial. Such simulation is very complicated, technical and slow. On the other hand, phenomenological studies, looking for the observability of given signals, may require only fast but realistic estimates of the observables.
@@ -80,21 +79,25 @@
 \begin{figure}[!h]
 \begin{center}
-\includegraphics[width=\columnwidth]{FlowDelphes}
-\caption{Flow chart describing the principles behind \textsc{Delphes}.}
+\includegraphics[width=0.9\columnwidth]{FlowDelphes}
+\caption{Flow chart describing the principles behind \textsc{Delphes}. Event files coming from external Monte Carlo generators are read by a convertor stage. 
+The kinematical variables of the final state particles are then smeared according to the subdetector resolutions. 
+Tracks are reconstructed in a simulated dipolar magnetic field and calorimetric towers sample the energy deposits. Based on these, dedicated algorithms are applied for particle identification, isolation and reconstruction. 
+The transport of very forward particle to the near-beam detectors is also simulated. 
+Finally, an output file is written, including generator level and analysis object data. If requested, a fully parametrisable trigger can be emulated. Optionnally, the geometry and visualisation files for the 3D event display can also be produced.
+All user parameters are set in the \textit{Smearing Card} and the \textit{Trigger Card}. }
 \label{fig:FlowChart}
 \end{center}
 \end{figure}
 
-Although this kind of approach yields much realistic results than a simple ``parton-level" analysis, a fast simulation comes with some limitations. Detector geometry is idealised, being uniform, symmetric around the beam axis, and having no craks nor dead material. Secondary interactions, multiple scatterings, photon conversion and bremsstrahlung are also neglected.
-%
-
-
-The simulation package proceeds in two stages. The first part is executed on the generated events. ``Particle-level" informations are read from input files and stored in a {\it \textsc{gen}} \textsc{root} tree. Three varieties of input files can currently be used as input in \textsc{Delphes}. In order to process events from many different generators, the standard Monte Carlo event structure StdHep can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in "Les Houches Event Format" (\textsc{lhef}) and \textsc{root} files obtained using the {\bf h2root} converter program. This first stage is performed using three C++ classes: {\verb HEPEVTConverter }, {\verb LHEFConverter } and {\verb STDHEPConverter }. 
-Afterwards, \textsc{Delphes} performs a simple trigger simulation and reconstruct "high-level objects". These informations are organised in classes and each objects are ordered with respect to the transverse momentum. The output of the various C++ classes is stored in the {\it Analysis} tree. The program is driven by a datacard (data/DataCardDet.dat) which allow a large spectrum of running conditions by modifying basic detector parameters, including calorimeter and tracking coverage and resolution, thresholds or jet algorithm parameters.\\
-
-Usual algorithms are applied for the reconstruction of complex objects, like the missing transverse energy or the jets originating from $b$ quarks or $\tau$ leptons.
-
-A simplified preselection can also be applied on processed data for trigger emulation.
-All detectors are assumed to be symmetric with respect to the beam axis
+Although this kind of approach yields much realistic results than a simple ``parton-level" analysis, a fast simulation comes with some limitations. Detector geometry is idealised, being uniform, symmetric around the beam axis, and having no cracks nor dead material. Secondary interactions, multiple scatterings, photon conversion and bremsstrahlung are also neglected.
+
+%The simulation package proceeds in two stages. The first part is executed on the generated events. ``Particle-level" informations are read from input files and stored in a {\it \textsc{gen}} \textsc{root} tree. 
+
+Three formats of input files can currently be used as input in \textsc{Delphes}\footnote{The corresponding code can be found in the \texttt{HEPEVTConverter}, \texttt{LHEFConverter } and \texttt{STDHEPConverter} classes.}. In order to process events from many different generators, the standard Monte Carlo event structure \mbox{\textsc{s}td\textsc{hep}} can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in ``Les Houches Event Format'' (\textsc{lhef}) and \textsc{root} files obtained using the \textbf{h2root} utility from the \textsc{root} framework~\cite{bib:root}. 
+%Afterwards, \textsc{Delphes} performs a simple trigger simulation and reconstruct "high-level objects". These informations are organised in classes and each objects are ordered with respect to the transverse momentum. 
+
+The output of \textsc{Delphes} contains a copy of the generator level data (\textsc{gen} tree), the analysis data objects after reconstruction (\mbox{\textsc{A}nalysis} tree), and possibly the results of the trigger emulation (\mbox{\textsc{T}rigger} tree). The program is driven by input cards. The detector card (\texttt{data/DataCardDet.dat}) allows a large spectrum of running conditions by modifying basic detector parameters, including calorimeter and tracking coverage and resolution, thresholds or jet algorithm parameters. The trigger card (\texttt{data/trigger.dat}) lists the user algorithms for the simplified online preselection.\\
+
+
 \section{Central detector simulation}
 
@@ -102,9 +105,8 @@
 \begin{center}
 \includegraphics[width=\columnwidth]{Detector_Delphes_1}
-\caption{Layout of the generic detector geometry assumed in \textsc{Delphes}. The innermost layer, close to the interaction point, is a ce
-ntral tracking system (pink). It is surrounded by a central calorimeter volume (green) with both electromagnetic and hadronic sections. Th
-e outer layer of the central system (red) consist of a muon system. In addition, two end-cap calorimeters (blue) extend the pseudorapidity
- coverage of the central detector. The actual detector granularity and extension is defined in the user-configuration card. The detector i
-s assumed to be strictly symmetric around the beam axis (black line). Additional forward detectors are not depicted.}
+\caption{Layout of the generic detector geometry assumed in \textsc{Delphes}. The innermost layer, close to the interaction point, is a central tracking system (pink). 
+It is surrounded by a central calorimeter volume (green) with both electromagnetic and hadronic sections. 
+The outer layer of the central system (red) consist of a muon system. In addition, two end-cap calorimeters (blue) extend the pseudorapidity coverage of the central detector. 
+The actual detector granularity and extension is defined in the user-configuration card. The detector is assumed to be strictly symmetric around the beam axis (black line). Additional forward detectors are not depicted.}
 \label{fig:GenDet}
 \end{center}
@@ -114,6 +116,6 @@
 \begin{center}
 \includegraphics[width=0.5\columnwidth]{Detector_Delphes_3}
-\caption{Profile of the layout assumed in \textsc{Delphes}. The extension of the various subdetectors, as defined in Tab.~\ref{tab:defEta}
-, are clearly visible. Same colour codes as for Fig.~\ref{fig:GenDet} are applied. Additional forward detectors are not depicted.}
+\caption{Profile of the layout assumed in \textsc{Delphes}. The extension of the various subdetectors, as defined in Tab.~\ref{tab:defEta}, are clearly visible. 
+Same colour codes as for Fig.~\ref{fig:GenDet} are applied. Additional forward detectors are not depicted.}
 \label{fig:GenDet3}
 \end{center}
@@ -129,18 +131,18 @@
 
 
-The overall layout of the general purpose detector simulated by \textsc{Delphes} is shown in figure \ref{fig:GenDet}. A central tracking system surrounded by an electromagnetic and a hadron calorimeters. A forward calorimeter ensures a larger geometric coverage for the measurement of the missing transverse energy. The fast simulation of the detector response takes into account geometrical acceptance of sub-detectors and their finite resolution. 
+The overall layout of the general purpose detector simulated by \textsc{Delphes} is shown in figure \ref{fig:GenDet}. A central tracking system is surrounded by an electromagnetic and a hadron calorimeters (\textsc{ecal} and \textsc{hcal}, resp.). A forward calorimeter ensures a larger geometric coverage for the measurement of the missing transverse energy. The fast simulation of the detector response takes into account geometrical acceptance of sub-detectors and their finite resolution, as defined in the smearing data card\footnote{See the \texttt{RESOLution} class.}. 
+If no such file is provided, predifined values are used. The coverage of the various subsystems used in the default configuration are summarized in table \ref{tab:defEta}.
 
 \textcolor{red}{No smearing is applied on particle direction. (???)}\\
 
-Before starting to loop over events, the {\verb RESOLution } class loads all sub-detector resolutions and coverage from the detector parameter file. If no such file is provided, predifined values are used. The coverage of the various sub-systems used in the default configuration are summarized in table \ref{tab:defEta}.
-
 \begin{table}[!h]
 \begin{center}
+\caption{Default extension in pseudorapidity $\eta$ of the different subdetectors.}
 \begin{tabular}[!h]{lll}
 \hline
-Tracking     & {\verb CEN_max_tracker } & 2.5\\
-Calorimeters & {\verb CEN_max_calo_cen } & 3.0\\
-             & {\verb CEN_max_calo_fwd } & 5.0\\
-Muon         & {\verb CEN_max_mu } & 2.4\\\hline
+Tracking     & {\verb CEN_max_tracker } & $0.0 \leq |\eta| \leq 2.5$\\
+Calorimeters & {\verb CEN_max_calo_cen } & $0.0 \leq |\eta| \leq 3.0$\\
+             & {\verb CEN_max_calo_fwd } & $3.0 \leq |\eta| \leq5.0$\\
+Muon         & {\verb CEN_max_mu } & $0.0 \leq |\eta| \leq 2.4$\\\hline
 \end{tabular}
 \label{tab:defEta}
@@ -154,25 +156,32 @@
 \frac{\sigma}{E} = \frac{S}{\sqrt{E}} \oplus \frac{N}{E} \oplus C,
 \end{equation}
-where S is the stochastic term, N the noise and C the constant term.\\
-
-The response of the detector is applied to the electromagnetic and the hadronic particles through the {\verb SmearElectron }and {\verb SmearHadron } functions. The 4-momentum $p^\mu$ are smeared with a parametrisation directly derived from the detector techinal designs. In the default parametrisation, the calorimeter is assumed to cover the pseudorapidity range $|\eta|<3$ and consists in an electromagnetic and an hadronic part. Coverage between pseudorapidities of 3.0 and 5.0 is provided by a forward calorimeter. The response of this calorimeter can be different for electrons and hadrons. The default values of the stochastic, noisy and constant terms as well as the ``Card flag" names used in the configuration file are given in table \ref{tab:defResol}.\\
+where $S$ is the stochastic term, $N$ the noise and $C$ the constant term.\\
+
+
+The 4-momentum $p^\mu$ are smeared with a parametrisation directly derived from the detector techinal designs\footnote{The response of the detector is applied to the electromagnetic and the hadronic particles through the \texttt{SmearElectron} and \texttt{SmearHadron} functions.}.
+In the default parametrisation, the calorimeter is assumed to cover the pseudorapidity range $|\eta|<3$ and consists in an electromagnetic and an hadronic part. Coverage between pseudorapidities of $3.0$ and $5.0$ is provided by a forward calorimeter. The response of this calorimeter can be different for electrons and hadrons. The default values of the stochastic, noisy and constant terms are given in table \ref{tab:defResol}.\\
 
 \begin{table}[!h]
 \begin{center}
+\caption{Default values for the resolution of the central and forward calorimeter. The corresponding parameter name, in the smearing card, is given.}
 \begin{tabular}[!h]{lclc}
 \hline
 \multicolumn{2}{c}{Resolution Term}   & Card flag & Value\\\hline
-Central \textsc{ecal} & S & {\verb ELG_Scen }  & 0.05 \\
-             & N & {\verb ELG_Ncen }  & 0.25 \\
-             & C & {\verb ELG_Ccen }  & 0.0055 \\
-Forward \textsc{ecal} & S & {\verb ELG_Sfwd }  & 2.084 \\
-             & N & {\verb ELG_Nfwd }  & 0.0 \\
-             & C & {\verb ELG_Cfwd }  & 0.107 \\
-Central \textsc{hcal} & S & {\verb HAD_Shcal } & 1.5 \\
-             & N & {\verb HAD_Nhcal } & 0.\\
-             & C & {\verb HAD_Chcal } & 0.05\\
-Forward \textsc{hcal} & S & {\verb HAD_Shf }   & 2.7\\
-             & N & {\verb HAD_Nhf }   & 0. \\
-             & C & {\verb HAD_Chf }   & 0.13\\
+ \multicolumn{4}{l}{Central \textsc{ecal}} \\
+ 	& $S$ & {\verb ELG_Scen }  & $0.05$ \\
+        & $N$ & {\verb ELG_Ncen }  & $0.25$ \\
+        & $C$ & {\verb ELG_Ccen }  & $0.0055$ \\
+ \multicolumn{4}{l}{Forward \textsc{ecal}} \\
+        & $S$ & {\verb ELG_Sfwd }  & $2.084$ \\
+        & $N$ & {\verb ELG_Nfwd }  & $0.0$ \\
+        & $C$ & {\verb ELG_Cfwd }  & $0.107$ \\
+ \multicolumn{4}{l}{Central \textsc{hcal}} \\
+        & $S$ & {\verb HAD_Shcal } & $1.5$ \\
+        & $N$ & {\verb HAD_Nhcal } & $0.$\\
+        & $C$ & {\verb HAD_Chcal } & $0.05$\\
+ \multicolumn{4}{l}{Forward \textsc{hcal}} \\
+        & $S$ & {\verb HAD_Shf }   & $2.7$\\
+        & $N$ & {\verb HAD_Nhf }   & $0$. \\
+        & $C$ & {\verb HAD_Chf }   & $0.13$\\
 \hline
 \end{tabular}
@@ -187,58 +196,65 @@
 where $0 \leq F \leq 1$. The electromagnetic part is handled as the electrons, while the resolution terms used for the hadronic part are {\verb HAD_Shcal }, {\verb HAD_Nhcal } and {\verb HAD_Chcal }. The resulting final energy given after the application of the smearing is then $E = E_{hcal} + E_{ecal}$.\\
 
+\subsection{Calorimetric towers}
+
+All undecayed particles, except muons and neutrinos are producing a calorimetric tower. 
+A calorimetric tower are just the smallest unit in $\eta \times \phi$ for the segmentation of the energy measurement. As the detector is assumed to be symmetric in $\phi$ and with respect to the $(x,y)$ plane, the smearing card stores the number of calorimetric towers with $\phi=0$ and $\eta>0$ (default: $40$ towers). For a given $\eta$, the size of the $\phi$ segmentation is also specified. 
+The calorimeters are then segmented into towers, that directly enter in the calculation of the missing transverse energy. 
+No longitudinal segmentation is available in the simulated calorimeters.
+
 
 \subsection{Muon smearing}
 
 Muons candidates are searched
-The smearing ot the muon 4-momentum $p^\mu$ is given by a Gaussian smearing of the $p_T$ function \texttt{SmearMuon}. Only the $p_T$ is smeared, but neither $\eta$ nor $\phi$. 
+The smearing ot the muon 4-momentum $p^\mu$ is given by a Gaussian smearing of the $p_T$ function \texttt{SmearMuon}. Only the $p_T$ is smeared, but neither $\eta$ nor $\phi$. Multiple scattering is thus neglected, while low energy muons have a worst resolution in a real detector.
 
 \subsection{Tracks reconstruction}
-
-All stable charged particles lying inside the fiducial volume of the tracking coverage provide a track. The reconstructio efficiency is manageable in the input datacard through the {\verb TRACKING_EFF } term. By default, a track is assumed to be reconstructed with $90\%$ probability.
-
-\subsection{Calorimetric towers}
-
-All undecayed particles, except muons and neutrinos are producing a calorimetric tower.  The same particles enter in the calculation of the missing transverse energy. \textit{what is used is the particle smeared momentum, not the calorimetric towers!}
+Every stable charged particle with a transverse momentum above some threshold and lying inside the fiducial volume of the tracker provides a track. The reconstructio efficiency is defined in the smearing datacard by the {\verb TRACKING_EFF } term. By default, a track is assumed to be reconstructed with $90\%$ probability if its transverse momentum $p_T$ is higher than $0.9~\textrm{GeV}$ and if its pseudorapidity $|\eta| \leq 2.5$.
+
 
 \subsection{Isolated lepton reconstruction}
 
-Photon and electron candidates are reconstructed if they fall into the acceptance of the tracking system and have a transverse momentum above the {\verb ELEC_pt } value (10~GeV by default). Muons candidates are searched 
-
+Photon and electron candidates are reconstructed if they fall into the acceptance of the tracking system and have a transverse momentum above the {\verb ELEC_pt } value ($10~\textrm{GeV}$ by default). 
+%Muons candidates are searched 
 Lepton isolation demands that there is no other charged particles with $p_T>2$~GeV within a cone of $\Delta R<0.5$ around the lepton.\\ 
 
 \subsection{Very forward detectors simulation}
 
-Some subdetectors have the ability to measure the time of flight of the particle. This correspond to the delay after which the particle is observed in the detector, after the bunch crossing. The time of flight measurement of ZDC and FP420 detector is implemented here. For the ZDC, the formula is simply
+Some subdetectors have the ability to measure the time of flight of the particle. This correspond to the delay after which the particle is observed in the detector, after the bunch crossing. The time of flight measurement of \textsc{zdc} and \textsc{fp420} detector is implemented here. For the \textsc{zdc}, the formula is simply
 \begin{equation}
  t_2 = t_1 + \frac{1}{v} \times \big( \frac{s-z}{\cos \theta}\big),
 \end{equation}
-where $t_2$ is the time of flight, $t_1$ is the true time coordinate of the vertex from which the particle originates, $v$ the particle velocity, $s$ is the ZDC distance to the interaction point, $z$ is the longitudinal coordinate of the vertex from which the particle comes from, $theta$ is the particle emission angle. This assumes that the neutral particle observed in the ZDC is highly relativistic, i.e. travelling at the speed of light $c$. We also assume that $\cos \theta = 1$, i.e. $\theta \approx 0$ or equivalently $\eta$ is large. As an example, $\eta = 5$ leads to $\theta = 0.013$ and $1 - \cos \theta < 10^{-4}$.
+where $t_2$ is the time of flight, $t_1$ is the true time coordinate of the vertex from which the particle originates, $v$ the particle velocity, $s$ is the \textsc{zdc} distance to the interaction point, $z$ is the longitudinal coordinate of the vertex from which the particle comes from, $\theta$ is the particle emission angle. This assumes that the neutral particle observed in the \textsc{zdc} is highly relativistic, i.e. travelling at the speed of light $c$. We also assume that $\cos \theta = 1$, i.e. $\theta \approx 0$ or equivalently $\eta$ is large. As an example, $\eta = 5$ leads to $\theta = 0.013$ and $1 - \cos \theta < 10^{-4}$.
 The formula then reduces to
 \begin{equation}
  t_2 = \frac{1}{c} \times (s-z)
 \end{equation}
-NB : for the moment, only neutrons and photons are assumed to be able to reach the ZDC. All other particles are neglected
-
-To fix the ideas, if the ZDC is located at $s=140~\textrm{m}$, neglecting $z$ and $\theta$, and assuming that $v=c$, one gets  $t=0.47~\mu\textrm{s}$.
-
-\section{``High-level" objects reconstruction}
+Only neutrons and photons are currently assumed to be able to reach the \textsc{zdc}. All other particles are neglected
+To fix the ideas, if the \textsc{zdc} is located at $s=140~\textrm{m}$, neglecting $z$ and $\theta$, and assuming that $v=c$, one gets  $t=0.47~\mu\textrm{s}$.
+
+\section{High-level object reconstruction}
+
+Hadronising final state particles or invisible ones are more difficult to measure. For instance, light jets or jets originating from $b$ quarks or $\tau$ leptons require dedicated algorithms for their measurement.
+The \textsc{FastJet} tools have been integrated into the \textsc{Delphes} framework for a fast jet reconstruction, using several algorithms, like Cone or $k_T$ ones. 
+
+\textcolor{red}{More on jet algorithms?}
 
 \subsection{Jet reconstruction}
 
-Jets are reconstructed using a cone algorithm with $R=0.7$ and make only use of the smeared particle momenta. The reconstructed jets are required to have a transverse momentum above 20~GeV and $|\eta|<3.0$. A jet is tagged as $b$-jets if its direction lies in the acceptance of the tracker, $|\eta|<0.5$, and if it is associated to a parent $b$-quark. A $b$-tagging efficiency of $40\%$ is assumed if the jet has a parent $b$ quark. For $c$-jets and light/gluon jets, a fake $b$-tagging efficiency of $10 \%$ and $1 \%$ respectively is assumed.\\
+By default, jets are reconstructed using a cone algorithm with $R=0.7$ and use the calorimetric towers. The reconstructed jets are required to have a transverse momentum above $20~\textrm{GeV}$ and $|\eta|<3.0$. 
 
 \subsection{$b$-tagging}
 
-The simulation of the $b$-tagging is based on the detector efficiencies assumed (1) for the tagging of a $b$-jet and (2) for the mis-identification of other jets as $b$-jets. This relies on the TAGGING\_B, MISTAGGING\_C and MISTAGGING\_L constants, for (respectively) the efficiency of tagging of a $b$-jet, the efficiency of mistagging a c-jet as a $b$-jet, and the efficiency of mistatting a light jet (u,d,s,g) as a $b$-jet. The (mis)tagging relies on the particle ID of the most energetic particle within a cone around the observed (eta,phi) region, with a radius CONERADIUS.
+A jet is tagged as $b$-jets if its direction lies in the acceptance of the tracker and if it is associated to a parent $b$-quark. A $b$-tagging efficiency of $40\%$ is assumed if the jet has a parent $b$ quark. For $c$-jets and light/gluon jets, a fake $b$-tagging efficiency of $10 \%$ and $1 \%$ respectively is assumed\footnote{Corresponding tot the TAGGING\_B, MISTAGGING\_C and MISTAGGING\_L constants, for (respectively) the efficiency of tagging of a $b$-jet, the efficiency of mistagging a c-jet as a $b$-jet, and the efficiency of mistatting a light jet (u,d,s,g) as a $b$-jet.}. The (mis)tagging relies on the particle ID of the most energetic particle within a cone around the observed (eta,phi) region, with a radius CONERADIUS.
 
 \subsection{Tau identification}
 
 \begin{wrapfigure}{l}{0.3\columnwidth}
-\includegraphics[width=0.3\columnwidth]{Tau.eps}
-\caption{\small{detectorAng.eps}}
+\includegraphics[width=0.3\columnwidth]{Tau}
+\caption{Illustration of the identification of $\tau$ jets.}
 \label{h_WW_ss_cut1}
 \end{wrapfigure}
 
-Jets originating from $\tau$-decay are identified using an identification procedure consistent with the one applied in a full detector simulation. The tagging rely on two tau properties. First, in roughly 75$\%$ of the time, the hadronic $\tau$-decay products contain only one charged hadron and a number of $\pi^0$. Second, the particles arisen from the $\tau$-lepton produce narrow jets in the calorimeter. 
+Jets originating from $\tau$-decay are identified using an identification procedure consistent with the one applied in a full detector simulation. The tagging rely on two properties of the $\tau$ lepton. First, in roughly $75 \%$ of the time, the hadronic $\tau$-decay products contain only one charged hadron and a number of $\pi^0$. Second, the particles arisen from the $\tau$-lepton produce narrow jets in the calorimeter. 
 
 \subsubsection*{Electromagnetic collimation}
@@ -248,6 +264,6 @@
 \begin{figure}[!h]
 \begin{center}
-%\includegraphics[width=0.8\columnwidth]{figures/Taujets1.eps}
-\caption{\small{}}
+\includegraphics[width=0.8\columnwidth]{figures/Tau2}
+\caption{\textcolor{red}{Distribution of the $\tau \bar \tau$ events} with respect to the electromagnetic collimation factor $C_\tau$. }
 \label{fig:tau1}
 \end{center}
@@ -258,11 +274,11 @@
 \begin{figure}[!h]
 \begin{center}
-%\includegraphics[width=0.8\columnwidth]{figures/Taujets2.eps}
-\caption{\small{}}
+\includegraphics[width=0.8\columnwidth]{figures/Tau1}
+\caption{\textcolor{red}{Distribution of the...}}
 \label{h_WW_ss_cut1}
 \end{center}
 \end{figure}
 
-The tracking isolation for the $\tau$ identification requires that the number of tracks associated to a particle with $p_T >$ {\verb TAU_track_pt } is one and only one in a cone with $\Delta R =$ {\verb TAU_track_scone }. This cone should be entirely included in the tracker to be taken into account. This procedure selects taus decaying hadronically with a typical efficiency of $60\%$. Moreover, the minimal $p_T$ of the $\tau$-jet is required to be {\verb TAUJET_pt }(default value: 10~GeV).\\
+The tracking isolation for the $\tau$ identification requires that the number of tracks associated to a particle with $p_T >$ {\verb TAU_track_pt } is one and only one in a cone with $\Delta R =$ {\verb TAU_track_scone }. This cone should be entirely included in the tracker to be taken into account. This procedure selects taus decaying hadronically with a typical efficiency of $60\%$. Moreover, the minimal $p_T$ of the $\tau$-jet is required to be {\verb TAUJET_pt } (default value: $10~\textrm{GeV}$).\\
 
 \begin{table}[!h]
@@ -282,6 +298,11 @@
 
 \subsection{Transverse missing energy}
+In an ideal detector, the transverse missing energy is simply computed as the missing term which would balance the transverse momentum in the observed event. Its value is then computed as the opposite of the sum of the momentum of all observed particles. In a real experiment, any problem affecting the detector (dead channels, misalignment, noisy towers, cracks) is directly worsening the measured missing transverse energy. In this document, the missing transverse energy (\textcolor{red}{symbol???}) is based on the calorimetric towers and only muons and neutrinos are not taken into account for its evaluation.
 
 \section{Trigger emulation}
+
+New physics in collider experiment are often characterised by the phenomenology by low cross-section values. High statistics are required for their studies, which in turn imposes high luminosity collisions.
+
+On the other hand, due to the very high collision rate in recent collider ($40~\textrm{MHz}$ at the \textsc{lhc}) and the large total cross-section ($\mathcal{O}(110~\textrm{mb})$ at the \textsc{lhc}), the need for an online event selection is crucial in order to reject most of the event and keep
 
 \section{Validation}	
@@ -407,4 +428,6 @@
 \bibitem{bib:FastJet} \textsc{Fast-Jet},
 \bibitem{bib:Frog} \textsc{Frog},
+\bibitem{bib:CMSresolution} CMS IN 2007/053
+\bibitem{bib:root} \textsc{Root} - An Object Oriented Data Analysis Framework, R. Brun and F. Rademakers, Nucl. Inst. \& Meth. in Phys. Res. A 389 (1997) 81-86, \url{http://root.cern.ch} 
 \end{thebibliography}
 