Index: trunk/paper/notes.tex
===================================================================
--- trunk/paper/notes.tex	(revision 116)
+++ trunk/paper/notes.tex	(revision 117)
@@ -2,4 +2,5 @@
 %\usepackage[english]{babel}
 \usepackage[ansinew]{inputenc}
+\usepackage{abstract}
 
 \usepackage{amsmath}
@@ -94,5 +95,5 @@
 %The simulation package proceeds in two stages. The first part is executed on the generated events. ``Particle-level" informations are read from input files and stored in a {\it \textsc{gen}} \textsc{root} tree. 
 
-Three formats of input files can currently be used as input in \textsc{Delphes}\footnote{The corresponding code can be found in the \texttt{HEPEVTConverter}, \texttt{LHEFConverter } and \texttt{STDHEPConverter} classes.}. In order to process events from many different generators, the standard Monte Carlo event structure \mbox{\textsc{s}td\textsc{hep}} can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in ``Les Houches Event Format'' (\textsc{lhef}) and \textsc{root} files obtained using the \textbf{h2root} utility from the \textsc{root} framework~\cite{bib:root}. 
+Three formats of input files can currently be used as input in \textsc{Delphes}\footnote{\texttt{[code] }See the \texttt{HEPEVTConverter}, \texttt{LHEFConverter} and \texttt{STDHEPConverter} classes.}. In order to process events from many different generators, the standard Monte Carlo event structure \mbox{\textsc{s}td\textsc{hep}} can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in ``Les Houches Event Format'' (\textsc{lhef}) and \textsc{root} files obtained using the \textbf{h2root} utility from the \textsc{root} framework~\cite{bib:root}. 
 %Afterwards, \textsc{Delphes} performs a simple trigger simulation and reconstruct "high-level objects". These informations are organised in classes and each objects are ordered with respect to the transverse momentum. 
 
@@ -131,6 +132,8 @@
 
 
-The overall layout of the general purpose detector simulated by \textsc{Delphes} is shown in figure \ref{fig:GenDet}. A central tracking system is surrounded by an electromagnetic and a hadron calorimeters (\textsc{ecal} and \textsc{hcal}, resp.). A forward calorimeter ensures a larger geometric coverage for the measurement of the missing transverse energy. The fast simulation of the detector response takes into account geometrical acceptance of sub-detectors and their finite resolution, as defined in the smearing data card\footnote{See the \texttt{RESOLution} class.}. 
-If no such file is provided, predifined values are used. The coverage of the various subsystems used in the default configuration are summarized in table \ref{tab:defEta}.
+The overall layout of the general purpose detector simulated by \textsc{Delphes} is shown in figure \ref{fig:GenDet}. 
+A central tracking system (\textsc{tracker}) is surrounded by an electromagnetic and a hadron calorimeters (\textsc{ecal} and \textsc{hcal}, resp.). Two forward calorimeters (\textsc{fcal}) ensure a larger geometric coverage for the measurement of the missing transverse energy. Finally, a muon system (\textsc{muon}) encloses the central detector volume
+The fast simulation of the detector response takes into account geometrical acceptance of sub-detectors and their finite resolution, as defined in the smearing data card\footnote{\texttt{[code] }See the \texttt{RESOLution} class.}. 
+If no such file is provided, predifined values are used. The coverage of the various subsystems used in the default configuration are summarised in table \ref{tab:defEta}.
 
 \textcolor{red}{No smearing is applied on particle direction. (???)}\\
@@ -138,11 +141,12 @@
 \begin{table}[!h]
 \begin{center}
-\caption{Default extension in pseudorapidity $\eta$ of the different subdetectors.}
+\caption{Default extension in pseudorapidity $\eta$ of the different subdetectors.
+The corresponding parameter name, in the smearing card, is given. \vspace{0.5cm}}
 \begin{tabular}[!h]{lll}
 \hline
-Tracking     & {\verb CEN_max_tracker } & $0.0 \leq |\eta| \leq 2.5$\\
-Calorimeters & {\verb CEN_max_calo_cen } & $0.0 \leq |\eta| \leq 3.0$\\
-             & {\verb CEN_max_calo_fwd } & $3.0 \leq |\eta| \leq5.0$\\
-Muon         & {\verb CEN_max_mu } & $0.0 \leq |\eta| \leq 2.4$\\\hline
+\textsc{tracker} & {\verb CEN_max_tracker } & $0.0 \leq |\eta| \leq 2.5$\\
+\textsc{ecal}, \textsc{hcal} & {\verb CEN_max_calo_cen } & $0.0 \leq |\eta| \leq 3.0$\\
+\textsc{fcal} & {\verb CEN_max_calo_fwd } & $3.0 \leq |\eta| \leq5.0$\\
+\textsc{muon} & {\verb CEN_max_mu } & $0.0 \leq |\eta| \leq 2.4$\\\hline
 \end{tabular}
 \label{tab:defEta}
@@ -150,35 +154,40 @@
 \end{table}
 
-\subsection{Simulation of calorimeters response}
-
-The energy of all particle considered as stable in the generator particle list are smeared according to a resolution depending which sub-calorimeter is assumed to be used for the energy measurement. For particles with a short lifetime such as the $K_s$, the fraction of electromagnetic or hadronic energy is determined according to its decay products. The response of the each sub-calorimeter is parametrized as a function of the energy
+\subsection{Simulation of calorimeters}
+
+The energy of each particle considered as stable in the generator particle list is smeared, with a Gaussian distribution depending on the calorimeter resolution. This resolution varies with the sub-calorimeter (\textsc{ecal}, \textsc{hcal}, \textsc{fcal}) measuring the particle.
+The response of each sub-calorimeter is parametrised as a function of the energy:
 \begin{equation} 
 \frac{\sigma}{E} = \frac{S}{\sqrt{E}} \oplus \frac{N}{E} \oplus C,
+\label{eq:caloresolution}
 \end{equation}
-where $S$ is the stochastic term, $N$ the noise and $C$ the constant term.\\
-
-
-The 4-momentum $p^\mu$ are smeared with a parametrisation directly derived from the detector techinal designs\footnote{The response of the detector is applied to the electromagnetic and the hadronic particles through the \texttt{SmearElectron} and \texttt{SmearHadron} functions.}.
-In the default parametrisation, the calorimeter is assumed to cover the pseudorapidity range $|\eta|<3$ and consists in an electromagnetic and an hadronic part. Coverage between pseudorapidities of $3.0$ and $5.0$ is provided by a forward calorimeter. The response of this calorimeter can be different for electrons and hadrons. The default values of the stochastic, noisy and constant terms are given in table \ref{tab:defResol}.\\
+where $S$, $N$ and $C$ are the \textit{stochastic}, \textit{noise} and \textit{constant} terms, respectively.\\
+
+
+The particle 4-momentum $p^\mu$ are smeared with a parametrisation directly derived from the detector techinal designs\footnote{\texttt{[code] }The response of the detector is applied to the electromagnetic and the hadronic particles through the \texttt{SmearElectron} and \texttt{SmearHadron} functions.}.
+In the default parametrisation, the calorimeter is assumed to cover the pseudorapidity range $|\eta|<3$ and consists in an electromagnetic and an hadronic part. Coverage between pseudorapidities of $3.0$ and $5.0$ is provided by forward calorimeters, with different response to electromagnetic objects ($e^\pm, \gamma$) or hadrons. 
+Muons and neutrinos are assumed no to interact with the calorimeters\footnote{In the current \textsc{Delphes} version, particles other than electrons ($e^\pm$), photons ($\gamma$), muons ($\mu^\pm$) and neutrinos ($\nu_e$, $\nu_\mu$ and $\nu_\tau$) are simulated as hadrons for their interactions with the calorimeters. The simulation of stable particles beyond the Standard Model should subsequently be handled with care.}.
+The default values of the stochastic, noisy and constant terms are given in Table~\ref{tab:defResol}.\\
 
 \begin{table}[!h]
 \begin{center}
-\caption{Default values for the resolution of the central and forward calorimeter. The corresponding parameter name, in the smearing card, is given.}
+\caption{Default values for the resolution of the central and forward calorimeters. Resolution is parametrised by the \textit{stochastic} ($S$), \textit{noise} ($N$) and \textit{constant} ($C$) terms (Eq.~\ref{eq:caloresolution}).
+The corresponding parameter name, in the smearing card, is given. \vspace{0.5cm}}
 \begin{tabular}[!h]{lclc}
 \hline
 \multicolumn{2}{c}{Resolution Term}   & Card flag & Value\\\hline
- \multicolumn{4}{l}{Central \textsc{ecal}} \\
+ \multicolumn{4}{l}{\textsc{ecal}} \\
  	& $S$ & {\verb ELG_Scen }  & $0.05$ \\
         & $N$ & {\verb ELG_Ncen }  & $0.25$ \\
         & $C$ & {\verb ELG_Ccen }  & $0.0055$ \\
- \multicolumn{4}{l}{Forward \textsc{ecal}} \\
+ \multicolumn{4}{l}{\textsc{fcal}, electromagnetic part} \\
         & $S$ & {\verb ELG_Sfwd }  & $2.084$ \\
-        & $N$ & {\verb ELG_Nfwd }  & $0.0$ \\
+        & $N$ & {\verb ELG_Nfwd }  & $0$ \\
         & $C$ & {\verb ELG_Cfwd }  & $0.107$ \\
- \multicolumn{4}{l}{Central \textsc{hcal}} \\
+ \multicolumn{4}{l}{\textsc{hcal}} \\
         & $S$ & {\verb HAD_Shcal } & $1.5$ \\
-        & $N$ & {\verb HAD_Nhcal } & $0.$\\
+        & $N$ & {\verb HAD_Nhcal } & $0$\\
         & $C$ & {\verb HAD_Chcal } & $0.05$\\
- \multicolumn{4}{l}{Forward \textsc{hcal}} \\
+ \multicolumn{4}{l}{\textsc{fcal}, hadronic part} \\
         & $S$ & {\verb HAD_Shf }   & $2.7$\\
         & $N$ & {\verb HAD_Nhf }   & $0$. \\
@@ -190,16 +199,23 @@
 \end{table}
 
-The energy of electron and photon particles found in the particle list are smeared using the \textsc{ecal} resolution terms. Charged and neutral final state hadrons interact with the \textsc{ecal}, \textsc{hcal} and the forward calorimeter. Some long-living particles, such as the $K_s$, possessing lifetime $c\tau$ smaller than 10~mma are considering as stable particles although they decay in the calorimeters. The energy smearing of such particles is performed using the expected fraction of the energy, determined according to their decay products, that whould be deposited into the \textsc{ecal} ($E_{ecal}$) and into the \textsc{hcal} ($E_{hcal}$). Defining $F$ as the fraction of the energy leading to a \textsc{hcal} deposit, the two energy values are given by 
+The energy of electrons and photons found in the particle list are smeared using the \textsc{ecal} resolution terms. Charged and neutral final state hadrons interact with the \textsc{ecal}, \textsc{hcal} and \textsc{fcal}. 
+Some long-living particles, such as the $K^0_s$, possessing lifetime $c\tau$ smaller than $10~\textrm{mm}$ are considered as stable particles although they decay before the calorimeters. The energy smearing of such particles is performed using the expected fraction of the energy, determined according to their decay products, that would be deposited into the \textsc{ecal} ($E_{\textsc{ecal}}$) and into the \textsc{hcal} ($E_{\textsc{hcal}}$). Defining $F$ as the fraction of the energy leading to a \textsc{hcal} deposit, the two energy values are given by 
 \begin{equation}
-E_{hcal} = E \times F ~\mathrm{and}~ E_{ecal} = E \times (1-F),
+\left\{
+\begin{array}{l}
+E_{\textsc{hcal}} = E \times F \\
+E_{\textsc{ecal}} = E \times (1-F) \\
+\end{array}
+\right.
 \end{equation}
-where $0 \leq F \leq 1$. The electromagnetic part is handled as the electrons, while the resolution terms used for the hadronic part are {\verb HAD_Shcal }, {\verb HAD_Nhcal } and {\verb HAD_Chcal }. The resulting final energy given after the application of the smearing is then $E = E_{hcal} + E_{ecal}$.\\
+where $0 \leq F \leq 1$. The electromagnetic part is handled as the electrons. The resulting final energy given after the application of the smearing is then $E = E_{\textsc{hcal}} + E_{\textsc{ecal}}$. For $K_S^0$ and $\Lambda$ hadrons, the energy fraction is $F$ is assumed to be worth $0.7$.\\
 
 \subsection{Calorimetric towers}
 
-All undecayed particles, except muons and neutrinos are producing a calorimetric tower. 
+The smallest unit for geometrical sampling of the calorimeters is a \textit{tower}.
+All undecayed particles, except muons and neutrinos produce a calorimetric tower, either in \textsc{ecal}, in \textsc{hcal} or \textsc{fcal}. 
 A calorimetric tower are just the smallest unit in $\eta \times \phi$ for the segmentation of the energy measurement. As the detector is assumed to be symmetric in $\phi$ and with respect to the $(x,y)$ plane, the smearing card stores the number of calorimetric towers with $\phi=0$ and $\eta>0$ (default: $40$ towers). For a given $\eta$, the size of the $\phi$ segmentation is also specified. 
 The calorimeters are then segmented into towers, that directly enter in the calculation of the missing transverse energy. 
-No longitudinal segmentation is available in the simulated calorimeters.
+No longitudinal segmentation is available in the simulated calorimeters. No sharing between towers is implemented when particles enter a tower very close to its geometrical edge.
 
 