Index: trunk/paper/notes.tex
===================================================================
--- trunk/paper/notes.tex	(revision 117)
+++ trunk/paper/notes.tex	(revision 118)
@@ -2,5 +2,4 @@
 %\usepackage[english]{babel}
 \usepackage[ansinew]{inputenc}
-\usepackage{abstract}
 
 \usepackage{amsmath}
@@ -213,25 +212,30 @@
 \subsection{Calorimetric towers}
 
-The smallest unit for geometrical sampling of the calorimeters is a \textit{tower}.
+The smallest unit for geometrical sampling of the calorimeters is a \textit{tower}; it segments the $(\eta,\phi)$ plane for the energy measurement.
 All undecayed particles, except muons and neutrinos produce a calorimetric tower, either in \textsc{ecal}, in \textsc{hcal} or \textsc{fcal}. 
-A calorimetric tower are just the smallest unit in $\eta \times \phi$ for the segmentation of the energy measurement. As the detector is assumed to be symmetric in $\phi$ and with respect to the $(x,y)$ plane, the smearing card stores the number of calorimetric towers with $\phi=0$ and $\eta>0$ (default: $40$ towers). For a given $\eta$, the size of the $\phi$ segmentation is also specified. 
-The calorimeters are then segmented into towers, that directly enter in the calculation of the missing transverse energy. 
-No longitudinal segmentation is available in the simulated calorimeters. No sharing between towers is implemented when particles enter a tower very close to its geometrical edge.
-
+As the detector is assumed to be symmetric in $\phi$ and with respect to the $\eta=0$ plane, the smearing card stores the number of calorimetric towers with $\phi=0$ and $\eta>0$ (default: $40$ towers). For a given $\eta$, the size of the $\phi$ segmentation is also specified. 
+
+The calorimetric towers directly enter in the calculation of the missing transverse energy, and as input for the jet reconstruction algorithms.
+No longitudinal segmentation is available in the simulated calorimeters. 
+No sharing between neighbouring towers is implemented when particles enter a tower very close to its geometrical edge.
+
+\textcolor{red}{Mettre une figure avec une grille en $(\eta,\phi)$ pour illustrer la segmentation (un peu comme une feuille quadrillÃ©e).}
 
 \subsection{Muon smearing}
 
-Muons candidates are searched
-The smearing ot the muon 4-momentum $p^\mu$ is given by a Gaussian smearing of the $p_T$ function \texttt{SmearMuon}. Only the $p_T$ is smeared, but neither $\eta$ nor $\phi$. Multiple scattering is thus neglected, while low energy muons have a worst resolution in a real detector.
+Generator level muons entering the detector acceptance are considered as candidates for the analysis level.
+The acceptance is defined in terms of a transverse momentum threshold to overpass (default : $p_T > 0~\textrm{GeV}$) and of the pseudorapidity coverage of the muon system of the detector (default: $-2.4 \leq \eta \leq 2.4$).
+
+The application of the detector resolution on the muon 4-momentum $p^\mu$ depends on a Gaussian smearing of the $p_T$ function\footnote{\texttt{[code]} See the \texttt{SmearMuon} method.}. Neither $\eta$ nor $\phi$ variables are modified. Multiple scattering is thus neglected, while low energy muons have a worst resolution in a real detector.
 
 \subsection{Tracks reconstruction}
-Every stable charged particle with a transverse momentum above some threshold and lying inside the fiducial volume of the tracker provides a track. The reconstructio efficiency is defined in the smearing datacard by the {\verb TRACKING_EFF } term. By default, a track is assumed to be reconstructed with $90\%$ probability if its transverse momentum $p_T$ is higher than $0.9~\textrm{GeV}$ and if its pseudorapidity $|\eta| \leq 2.5$.
+Every stable charged particle with a transverse momentum above some threshold and lying inside the fiducial volume of the tracker provides a track. 
+By default, a track is assumed to be reconstructed with $90\%$ probability\footnote{\texttt{[code]} The reconstruction efficiency is defined in the smearing datacard by the \texttt{TRACKING\_EFF} term.} if its transverse momentum $p_T$ is higher than $0.9~\textrm{GeV}$ and if its pseudorapidity $|\eta| \leq 2.5$. 
 
 
 \subsection{Isolated lepton reconstruction}
 
-Photon and electron candidates are reconstructed if they fall into the acceptance of the tracking system and have a transverse momentum above the {\verb ELEC_pt } value ($10~\textrm{GeV}$ by default). 
-%Muons candidates are searched 
-Lepton isolation demands that there is no other charged particles with $p_T>2$~GeV within a cone of $\Delta R<0.5$ around the lepton.\\ 
+Photon and electron candidates are reconstructed if they fall into the acceptance of the tracking system and have a transverse momentum above a threshold (default $p_T > 10~\textrm{GeV}$).
+Lepton isolation (for $e^\pm$ and $\mu^\pm$) demands that there is no other charged particles with $p_T>2~\textrm{GeV}$ within a cone of $\Delta R<0.5$ around the lepton.\\ 
 
 \subsection{Very forward detectors simulation}
@@ -251,5 +255,5 @@
 \section{High-level object reconstruction}
 
-Hadronising final state particles or invisible ones are more difficult to measure. For instance, light jets or jets originating from $b$ quarks or $\tau$ leptons require dedicated algorithms for their measurement.
+Final state particles which hadronise or invisible ones are more difficult to measure. For instance, light jets or jets originating from $b$ quarks or $\tau$ leptons require dedicated algorithms for their measurement.
 The \textsc{FastJet} tools have been integrated into the \textsc{Delphes} framework for a fast jet reconstruction, using several algorithms, like Cone or $k_T$ ones. 
 