Index: trunk/paper/notes.tex
===================================================================
--- trunk/paper/notes.tex	(revision 119)
+++ trunk/paper/notes.tex	(revision 120)
@@ -6,5 +6,5 @@
 \usepackage{amsmath}
 \usepackage{epic}
- \usepackage{wrapfig}
+\usepackage{wrapfig}
 \usepackage{eepic}
 \usepackage{color}
@@ -19,4 +19,6 @@
 \usepackage{ifpdf}
 \usepackage{cite}
+
+\usepackage{enumitem}
 
 \newcommand{\dollar}{\$}
@@ -95,5 +97,5 @@
 %The simulation package proceeds in two stages. The first part is executed on the generated events. ``Particle-level" informations are read from input files and stored in a {\it \textsc{gen}} \textsc{root} tree. 
 
-Three formats of input files can currently be used as input in \textsc{Delphes}\footnote{\texttt{[code] }See the \texttt{HEPEVTConverter}, \texttt{LHEFConverter} and \texttt{STDHEPConverter} classes.}. In order to process events from many different generators, the standard Monte Carlo event structure \mbox{\textsc{s}td\textsc{hep}} can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in ``Les Houches Event Format'' (\textsc{lhef}) and \textsc{root} files obtained using the \textbf{h2root} utility from the \textsc{root} framework~\cite{bib:root}. 
+Three formats of input files can currently be used as input in \textsc{Delphes}\footnote{\texttt{[code] }See the \texttt{HEPEVTConverter}, \texttt{LHEFConverter} and \texttt{STDHEPConverter} classes.}. In order to process events from many different generators, the standard Monte Carlo event structure \mbox{\textsc{s}td\textsc{hep}} can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in ``Les Houches Event Format'' (\textsc{lhef}) and \textsc{root} files obtained using the \textbf{h2root} utility from the \textsc{root} framework~\cite{bib:Root}. 
 %Afterwards, \textsc{Delphes} performs a simple trigger simulation and reconstruct "high-level objects". These informations are organised in classes and each objects are ordered with respect to the transverse momentum. 
 
@@ -101,5 +103,5 @@
 
 
-\section{Central detector simulation}
+\section{Detector simulation}
 
 \begin{figure}[!h]
@@ -137,5 +139,4 @@
 If no such file is provided, predifined values are used. The coverage of the various subsystems used in the default configuration are summarised in table \ref{tab:defEta}.
 
-\textcolor{red}{No smearing is applied on particle direction. (???)}\\
 
 \begin{table}[!h]
@@ -153,4 +154,9 @@
 \end{center}
 \end{table}
+
+\subsection{Tracks reconstruction}
+Every stable charged particle with a transverse momentum above some threshold and lying inside the fiducial volume of the tracker provides a track. 
+By default, a track is assumed to be reconstructed with $90\%$ probability\footnote{\texttt{[code]} The reconstruction efficiency is defined in the smearing datacard by the \texttt{TRACKING\_EFF} term.} if its transverse momentum $p_T$ is higher than $0.9~\textrm{GeV}$ and if its pseudorapidity $|\eta| \leq 2.5$. 
+
 
 \subsection{Simulation of calorimeters}
@@ -223,46 +229,144 @@
 \textcolor{red}{Mettre une figure avec une grille en $(\eta,\phi)$ pour illustrer la segmentation (un peu comme une feuille quadrillÃ©e).}
 
-\subsection{Muon smearing}
+\begin{figure}[!h]
+\begin{center}
+\includegraphics[width=0.8\columnwidth]{calosegmentation}
+\caption{Default segmentation of the calorimeters in the $(\eta,\phi)$ plane. Only the central detectors (\textsc{ecal}, \textsc{hcal} and \textsc{fcal}) are considered.}
+\label{fig:calosegmentation}
+\end{center}
+\end{figure}
+
+
+\subsection{Very forward detectors simulation}
+
+Most of the recent experiments in beam colliders have additional instrumentation along the beamline. These extend the $\eta$ coverage to higher values, for the detection of very forward final-state particles. 
+Zero Degree Calorimeters (\textsc{zdc}) are located at zero angle, i.e. are aligned with the beamline axis at the interaction point, and placed at the distance where the paths of incoming and outgoing beams separate (Fig.~\ref{fig:fdets}). These allow the measurement of stable neutral particles ($\gamma$ and $n$) coming from the interaction point, with large pseudorapirities (e.g. $|\eta_{\textrm{n,}\gamma}| > 8.3$ in \textsc{cms}).
+Forward taggers (called here \textsc{rp220} and \textsc{fp420} as at the \textsc{lhc}) are meant for the measurement of particles following very closely the beam path. To be able to reach these detectors, such particles must have a charge identical to the beam particles, and a momentum very close to the nominal value for the beam. These taggers are near-beam detectors located a few millimeters from the true beam trajectory and this distance defines their acceptance (Table~\ref{tab:fdetacceptance}).
+
+\begin{figure}[!h]
+\begin{center}
+\includegraphics[width=0.8\columnwidth]{fdets}
+\caption{Default location of the very forward detectors, including \textsc{zdc}, \textsc{rp220} and \textsc{fp420} in the \textsc{lhc} beamline. 
+Incoming (red) and outgoing (black) beams on one side of the interaction point ($s=0~\textrm{m}$). 
+The Zero Degree Calorimeter is located in perfect alignment with the beamline axis at the interaction point, at $140~\textrm{m}$, where the beam paths are separated. The forward taggers are near-beam detectors located at $220~\textrm{m}$ and $420~\textrm{m}$.}
+\label{fig:fdets}
+\end{center}
+\end{figure}
+
+\begin{table}[!h]
+\begin{center}
+\caption{Default parameters for the forward detectors: distance from the interaction point and detector acceptance. The \textsc{lhc} beamline is assumed around the fifth interaction point. For the \textsc{zdc}, the acceptance depends only on the pseudorapidity $\eta$ of the particle, which should be neutral and stable. 
+The tagger acceptance is fully determined by the distance in the transverse plane of the detector to the real beam position~\cite{bib:Hector}. It is expressed in terms of the particle energy.
+\vspace{0.5cm}}
+\begin{tabular}[!h]{llcl}
+\hline
+Detector & Distance & Acceptance & \\ \hline
+\textsc{zdc}   & $140$ m & $|\eta|> 8.3$       & for $n$ and $\gamma$\\
+\textsc{rp220} & $220$ m & $E \in [6100 ; 6880]$ (GeV) & at $2~\textrm{mm}$\\
+\textsc{fp420} & $420$ m & $E \in [6880 ; 6980]$ (GeV) & at $4~\textrm{mm}$\\
+\hline
+\end{tabular}
+\label{tab:fdetacceptance}
+\end{center}
+\end{table}
+
+
+While neutral particles propagate along a straight line to the \textsc{zdc}, a dedicated simulation of the transport of charged particles is needed for \textsc{rp220} and \textsc{fp420}. This fast simulation uses the \textsc{Hector} software~\cite{bib:Hector}, which includes the chromaticity effects and the geometrical aperture of the beamline elements.
+
+Some subdetectors have the ability to measure the time of flight of the particle. 
+This corresponds to the delay after which the particle is observed in the detector, after the bunch crossing. The time of flight measurement of \textsc{zdc} and \textsc{fp420} detector is implemented here. For the \textsc{zdc}, the formula is simply
+\begin{equation}
+ t = t_0 + \frac{1}{v} \times \Big( \frac{s-z}{\cos \theta}\Big),
+\end{equation}
+where $t$ is the time of flight, $t_0$ is the true time coordinate of the vertex from which the particle originates, $v$ the particle velocity, $s$ is the \textsc{zdc} distance to the interaction point, $z$ is the longitudinal coordinate of the vertex from which the particle comes from, $\theta$ is the particle emission angle. This assumes that the neutral particle observed in the \textsc{zdc} is highly relativistic, i.e. travelling at the speed of light $c$. We also assume that $\cos \theta = 1$, i.e. $\theta \approx 0$ or equivalently $\eta$ is large. As an example, $\eta = 5$ leads to $\theta = 0.013$ and $1 - \cos \theta < 10^{-4}$.
+The formula then reduces to
+\begin{equation}
+ t = \frac{1}{c} \times (s-z)
+\end{equation}
+Only neutrons and photons are currently assumed to be able to reach the \textsc{zdc}. All other particles are neglected in the \textsc{zdc}.
+To fix the ideas, if the \textsc{zdc} is located at $s=140~\textrm{m}$, neglecting $z$ and $\theta$, and assuming that $v=c$, one gets  $t=0.47~\mu\textrm{s}$.
+
+\section{High-level object reconstruction}
+
+Analysis object data contain the final collections of particles ($e^\pm$, $\mu^\pm$, $\gamma$) or objects (light jets, $b$-jets, $\tau$-jets, $E_T^\textrm{miss}$) and are stored\footnote{\texttt{[code] }All these processed data are located under the \texttt{Analysis} tree.} in the output file created by \textsc{Delphes}. 
+In addition, some detector data are added: tracks, calorometric towers and hits in \textsc{zdc}, \textsc{rp220} and \textsc{fp420}. 
+While electrons, muons and photons are easily identified, some other objects are more difficult to measure, like jets or missing energy due to invisible particles.
+ 
+
+
+\subsection{Photon and charged lepton reconstruction}
+From here onwards, \textit{electrons} refer to both positrons ($e^+$) and electrons ($e^-$), and $\textit{charged leptons}$ refer to electrons and muons ($\mu^\pm$), leaving out the $\tau^\pm$ leptons as they decay before being detected.
+\subsubsection*{Electrons and photons}
+Photon and electron ($e^\pm$) candidates are reconstructed if they fall into the acceptance of the tracking system and have a transverse momentum above a threshold (default $p_T > 10~\textrm{GeV}$). A calorimetric tower will be seen in the detector, an electrons leave in addition a track. Consequently, electrons and photons creates as usual a candidate in the jet collection.
+
+\subsubsection*{Muons}
 
 Generator level muons entering the detector acceptance are considered as candidates for the analysis level.
 The acceptance is defined in terms of a transverse momentum threshold to overpass (default : $p_T > 0~\textrm{GeV}$) and of the pseudorapidity coverage of the muon system of the detector (default: $-2.4 \leq \eta \leq 2.4$).
-
-The application of the detector resolution on the muon 4-momentum $p^\mu$ depends on a Gaussian smearing of the $p_T$ function\footnote{\texttt{[code]} See the \texttt{SmearMuon} method.}. Neither $\eta$ nor $\phi$ variables are modified. Multiple scattering is thus neglected, while low energy muons have a worst resolution in a real detector.
-
-\subsection{Tracks reconstruction}
-Every stable charged particle with a transverse momentum above some threshold and lying inside the fiducial volume of the tracker provides a track. 
-By default, a track is assumed to be reconstructed with $90\%$ probability\footnote{\texttt{[code]} The reconstruction efficiency is defined in the smearing datacard by the \texttt{TRACKING\_EFF} term.} if its transverse momentum $p_T$ is higher than $0.9~\textrm{GeV}$ and if its pseudorapidity $|\eta| \leq 2.5$. 
-
-
-\subsection{Isolated lepton reconstruction}
-
-Photon and electron candidates are reconstructed if they fall into the acceptance of the tracking system and have a transverse momentum above a threshold (default $p_T > 10~\textrm{GeV}$).
-Lepton isolation (for $e^\pm$ and $\mu^\pm$) demands that there is no other charged particles with $p_T>2~\textrm{GeV}$ within a cone of $\Delta R<0.5$ around the lepton.\\ 
-
-\subsection{Very forward detectors simulation}
-
-Some subdetectors have the ability to measure the time of flight of the particle. This correspond to the delay after which the particle is observed in the detector, after the bunch crossing. The time of flight measurement of \textsc{zdc} and \textsc{fp420} detector is implemented here. For the \textsc{zdc}, the formula is simply
+The application of the detector resolution on the muon momentum depends on a Gaussian smearing of the $p_T$ variable\footnote{\texttt{[code]} See the \texttt{SmearMuon} method.}. Neither $\eta$ nor $\phi$ variables are modified. Multiple scattering is thus neglected, while low energy muons have a worst resolution in a real detector.
+
+\subsubsection*{Charged lepton isolation}
+
+To improve the quality of the contents of the charged lepton collections, additional criteria are applied to impose some isolation. This requires that the electron or muon candidate is isolated in the detector from any other particle, within a small cone. In \textsc{Delphes}, charged lepton isolation demands that there is no other charged particle with $p_T>2~\textrm{GeV}$ within a cone of $\Delta R<0.5$ around the lepton.\\ 
+
+
+
+
+
+
+
+\subsection{Jet reconstruction}
+
+A realistic analysis requires a correct treatment of final state particles which hadronise. Therefore, the most widely currently used jet algorithms have been integrated into the \textsc{Delphes} framework using the \textsc{FastJet} tools~\cite{bib:FastJet}. 
+Six different jet reconstruction schemes are available\footnote{\texttt{[code] }The choice is done by allocating the \texttt{JET\_jetalgo } input parameter in the smearing card.}. The first three belong to the cone algorithm class while the last three are using a sequential recombinaison scheme. For all of them, the towers are used as input of the jet clustering. Jet algorithms also differ with their sensitivity to soft particles or collinear splittings, and with their computing speed performance.
+ 
+\begin{itemize}
+ 
+\item \textbf{Cone algorithms:}
+ 
+\begin{enumerate}
+ 
+\item {\it CDF JetClu}: Algorithm forming jets by associating together towers lying within a circle (default radius $R=0.7$) in the $(\eta$, $\phi)$ space. 
+The so-called \textsc{jetclu} cone jet algorithm that was used by \textsc{cdf} in Run II is used. 
+All towers with a transverse energy $E_T$ higher than a given threshold (default: $E_T > 1~\textrm{GeV}$) are used to seed the jet candidates. 
+The existing \textsc{FastJet} code as been modified to allow easy modification or the tower pattern in $\eta$, $\phi$ space. 
+In the following versions of \textsc{Delphes}, a new dedicated plugin will be created on this purpose\footnote{\texttt{[code] }\texttt{JET\_coneradius} and \texttt{JET\_seed} variables in the smearing card.}.
+ 
+\item {\it CDF MidPoint}: Algorithm developped for the \textsc{cdf} Run II to reduce infrared and collinear sensitivity compared to purely seed-based cone by adding `midpoints' (energy barycenters) in the list of cone seeds.
+ 
+\item {\it SISCone}: Seedless Infrared Safe Cone~\cite{bib:SIScone}: Cone algorithm simultaneously insensitive to additional soft particles and collinear splittings, and fast enough to be used in experimental analysis.
+ 
+\end{enumerate}
+ 
+\item {\bf Recombination algorithms:}
+ 
+The three following infrared and collinear safe algorithms rely on recombination schemes where neighbouring calotower pairs are successively merged. The definitions of the jet algorithms are identical except for the distance used during the merging procedure. The jet reconstruction stars by finding the minimum value $d_{min}$ of all the distances $d_{ij}$ between each pair of towers and all `beam distance' $d_{iB}$. If the minimum distance is a $d_{ij}$ the towers are merged into a single tower, summing their four-momenta using the E-scheme recombination. If the minimum value is a $d_{iB}$, the object is declared as a final jet and is removed from the input list. This procedure is repeated until no input towers are left. More information on these jet can be found here.
+ 
+\begin{enumerate}[start=4]
+ 
+\item {\it Longitudinally invariant $k_t$ jet}:
 \begin{equation}
- t_2 = t_1 + \frac{1}{v} \times \big( \frac{s-z}{\cos \theta}\big),
-\end{equation}
-where $t_2$ is the time of flight, $t_1$ is the true time coordinate of the vertex from which the particle originates, $v$ the particle velocity, $s$ is the \textsc{zdc} distance to the interaction point, $z$ is the longitudinal coordinate of the vertex from which the particle comes from, $\theta$ is the particle emission angle. This assumes that the neutral particle observed in the \textsc{zdc} is highly relativistic, i.e. travelling at the speed of light $c$. We also assume that $\cos \theta = 1$, i.e. $\theta \approx 0$ or equivalently $\eta$ is large. As an example, $\eta = 5$ leads to $\theta = 0.013$ and $1 - \cos \theta < 10^{-4}$.
-The formula then reduces to
+d_{ij} = min(k_{ti}^2,k_{tj}^2)\Delta R_{ij}^2/R^2,
+\end{equation}
+with $\Delta R_{ij}^2= (y_i-y_j)^2+(\phi_i)-\phi_j)^2$, $k_{ti}$, $y_{i}$ and $\phi_i$ are the transverse momentum, rapidity and azimuth of calotower i and $R$ is the jet-radius parameter defined in the datacard. The beam distance is defined as $d_{iB}=k_{ti}^2$.
+ 
+\item {\it Cambridge/Aachen jet}:
+ 
 \begin{equation}
- t_2 = \frac{1}{c} \times (s-z)
-\end{equation}
-Only neutrons and photons are currently assumed to be able to reach the \textsc{zdc}. All other particles are neglected
-To fix the ideas, if the \textsc{zdc} is located at $s=140~\textrm{m}$, neglecting $z$ and $\theta$, and assuming that $v=c$, one gets  $t=0.47~\mu\textrm{s}$.
-
-\section{High-level object reconstruction}
-
-Final state particles which hadronise or invisible ones are more difficult to measure. For instance, light jets or jets originating from $b$ quarks or $\tau$ leptons require dedicated algorithms for their measurement.
-The \textsc{FastJet} tools~\cite{bib:FastJet} have been integrated into the \textsc{Delphes} framework for a fast jet reconstruction, using several algorithms, like Cone or $k_T$ ones. 
-
-\textcolor{red}{More on jet algorithms?}
-
-\subsection{Jet reconstruction}
-
+d_{ij} = \Delta R_{ij}^2/R^2,~d_{iB}=1.
+\end{equation}
+ 
+\item {\it Anti $k_t$ jet}: hard jets are exactly circular on Behaves like
+ 
+\begin{equation}
+d_{ij} =  min(1/k_{ti}^2,1/k_{tj}^2)\Delta R_{ij}^2/R^2,~d_{iB}=1/k_{ti}^2
+\end{equation}
+ \end{enumerate}
+\end{itemize}
+ 
+The reconstructed jets are conserved in the jet list if their transverse energy is bigger than {\verb PTCUT_jet }.
 By default, jets are reconstructed using a cone algorithm with $R=0.7$ and use the calorimetric towers. The reconstructed jets are required to have a transverse momentum above $20~\textrm{GeV}$ and $|\eta|<3.0$. 
 
+ 
 \subsection{$b$-tagging}
 
@@ -292,5 +396,5 @@
 \end{wrapfigure}
 
-The tagging rely on two properties of the $\tau$ lepton. First, in roughly $75 \%$ of the time, the hadronic $\tau$-decay products contain only one charged hadron and a number of $\pi^0$. Secondly, the particles arisen from the $\tau$-lepton produce narrow jets in the calorimeter. 
+The tagging rely on two properties of the $\tau$ lepton. First, in roughly $75 \%$ of the time, the hadronic $\tau$-decay products contain only one charged hadron and a number of $\pi^0$. Secondly, the particles arisen from the $\tau$ lepton produce narrow jets in the calorimeter. 
 
 \subsubsection*{Electromagnetic collimation}
@@ -463,7 +567,9 @@
 \bibitem{bib:Delphes} \textsc{Delphes}, hepforge:
 \bibitem{bib:FastJet} \textsc{Fast-Jet},
+\bibitem{bib:SIScone} A practical Seedless Infrared-Safe Cone jet algorithm, G.P. Salam, G. Soyez, JHEP0705:086,2007.
+\bibitem{bib:Hector} \textsc{Hector},
 \bibitem{bib:Frog} \textsc{Frog},
 \bibitem{bib:CMSresolution} CMS IN 2007/053
-\bibitem{bib:root} \textsc{Root} - An Object Oriented Data Analysis Framework, R. Brun and F. Rademakers, Nucl. Inst. \& Meth. in Phys. Res. A 389 (1997) 81-86, \url{http://root.cern.ch} 
+\bibitem{bib:Root} \textsc{Root} - An Object Oriented Data Analysis Framework, R. Brun and F. Rademakers, Nucl. Inst. \& Meth. in Phys. Res. A 389 (1997) 81-86, \url{http://root.cern.ch} 
 \bibitem{bib:cmstaus} Tau reconstruction in CMS
 \end{thebibliography}