Index: trunk/paper/notes.tex
===================================================================
--- trunk/paper/notes.tex	(revision 128)
+++ trunk/paper/notes.tex	(revision 129)
@@ -37,5 +37,5 @@
 \fi
 
-\title{\textsc{Delphes}, a framework for fast simulation \\of a general purpose LHC detector}
+\title{\textsc{Delphes}, a framework for fast simulation \\of a general purpose \textsc{lhc} detector}
 \author{S. Ovyn and X. Rouby\thanks{Now in Physikalisches Institut, Albert-Ludwigs-Universit\"at Freiburg} \\
 	Center for Particle Physics and Phenomenology (CP3)\\ Universit\'e catholique de Louvain \\ B-1348 Louvain-la-Neuve, Belgium \\ \\
@@ -59,5 +59,5 @@
 
 \noindent
-\textit{Keywords:} \textsc{Delphes}, fast simulation, LHC, smearing, trigger, \textsc{FastJet}, \textsc{Hector}, \textsc{Frog}
+\textit{Keywords:} \textsc{Delphes}, fast simulation, \textsc{lhc}, smearing, trigger, \textsc{FastJet}, \textsc{Hector}, \textsc{Frog}
 \vspace{1cm}
 \end{abstract}
@@ -224,5 +224,5 @@
 \end{figure}
 
-The calorimetric towers directly enter in the calculation of the missing transverse energy, and as input for the jet reconstruction algorithms. No longitudinal segmentation is available in the simulated calorimeters. No sharing between neighbouring towers is implemented when particles enter a tower very close to its geometrical edge.
+The calorimetric towers directly enter in the calculation of the missing transverse energy (\textsc{met}), and as input for the jet reconstruction algorithms. No longitudinal segmentation is available in the simulated calorimeters. No sharing between neighbouring towers is implemented when particles enter a tower very close to its geometrical edge.
 
 \subsection{Very forward detectors simulation}
@@ -331,5 +331,5 @@
 The three following jet algorithms are safe for soft radiations (\textit{infrared}) and collinear splittings. They rely on recombination schemes where neighbouring calotower pairs are successively merged. The definitions of the jet algorithms are similar except for the definition of the \textit{distances} $d$ used during the merging procedure. Two such variables are defined: the distance $d_{ij}$ between each pair of towers $(i,j)$, and a variable $d_{iB}$ (\textit{beam distance}) depending on the transverse momentum of the tower $i$.
 
-The jet reconstruction algorithm browses the calotower list. It starts by finding the minimum value $d_\textrm{min}$ of all the distances $d_{ij}$ and $d_{iB}$. If $d_\textrm{min}$ is a $d_{ij}$, the towers $i$ and $j$ are merged into a single tower with a four-momentum $p^\mu = p^\mu (i) + p^\mu (j)$ (\textit{E-scheme recombination}). If $d_\textrm{min}$ is a $d_{iB}$, the tower is declared as a final jet and is removed from the input list. This procedure is repeated until no input towers are left. Further information on these jet algorithms is given here below, using $k_{ti}$, $y_{i}$ and $\phi_i$ as the transverse momentum, rapidity and azimuth of calotower $i$ and $\Delta R_{ij}= \sqrt{(y_i-y_j)^2+(\phi_i-\phi_j)^2}$ as the jet-radius parameter:
+The jet reconstruction algorithm browses the calotower list. It starts by finding the minimum value $d_\textrm{min}$ of all the distances $d_{ij}$ and $d_{iB}$. If $d_\textrm{min}$ is a $d_{ij}$, the towers $i$ and $j$ are merged into a \textcolor{red}{single tower with a four-momentum $p^\mu = p^\mu (i) + p^\mu (j)$ (\textit{E-scheme recombination})}. If $d_\textrm{min}$ is a $d_{iB}$, the tower is declared as a final jet and is removed from the input list. This procedure is repeated until no towers are left in the input list. Further information on these jet algorithms is given here below, using $k_{ti}$, $y_{i}$ and $\phi_i$ as the transverse momentum, rapidity and azimuth of calotower $i$ and $\Delta R_{ij}= \sqrt{(y_i-y_j)^2+(\phi_i-\phi_j)^2}$ as the jet-radius parameter:
  
 \begin{enumerate}[start=4]
@@ -396,5 +396,5 @@
  $ \tau^- \rightarrow \mu^- \ \bar \nu_\mu  \ \nu_\tau$ & $17.36\%$ \\
  \multicolumn{2}{l}{\textbf{Hadronic decays}}\\
- $ \tau^- \rightarrow h^-\ n\times h^\pm \ m\times h^0\  \nu_\tau$  & $64.79\%$ \\
+ $ \tau^- \rightarrow h^-\ n\times h^\pm \ m\times h^0\  \nu_\tau$  & \textcolor{red}{$64.79\%$} \\
  $ \tau^- \rightarrow h^-\ m\times h^0 \ \nu_\tau$  & $50.15\%$ \\
  $ \tau^- \rightarrow h^-\ h^+ h^-  m\times h^0 \ \nu_\tau$  & $15.18\%$ \\
@@ -475,30 +475,76 @@
 Once both electromagnetic collimation and tracking isolation are applied, a threshold on the $p_T$ of the $\tau$-jet candidate is requested to purify the collection. This procedure selects $\tau$ leptons decaying hadronically with a typical efficiency of $60\%$. 
 
-\subsection{Transverse missing energy}
-In an ideal detector, momentum conservation imposes the transverse momentum of the observed final state $p_T^\textrm{obs}$ to be equal to the $p_T$ sum of the invisible particles, written $p_T^\textrm{miss}$.
-\begin{equation}
- p_T^\textrm{miss} = - p_T^\textrm{obs}
-\end{equation}
-In a real experiment, energy is measured by calorimetry and any problem affecting the detector (dead channels, misalignment, noisy towers, cracks) worsens directly the measured missing transverse energy $E_T^\textrm{miss}$. In this document, missing transverse energy is based on the calorimetric towers and only muons and neutrinos are not taken into account for its evaluation:
-\begin{equation}
- E_T^\textrm{miss} = - \sum^\textrm{towers}_i E_T(i)
-\end{equation}
+\subsection{Missing transverse energy}
+In an ideal detector, momentum conservation imposes the transverse momentum of the observed final state $\overrightarrow{p_T}^\textrm{obs}$ to be equal to the $\overrightarrow{p_T}$ vector sum of the invisible particles, written $\overrightarrow{p_T}^\textrm{miss}$.
+\begin{equation}
+\overrightarrow{p_T} = \left(
+\begin{array}{c}
+p_x\\
+p_y\\
+\end{array}
+\right) 
+~ \textrm{and} ~
+\left\{
+\begin{array}{l}
+ p_x^\textrm{miss} = - p_x^\textrm{obs} \\
+ p_y^\textrm{miss} = - p_y^\textrm{obs} \\
+\end{array}
+\right.
+\end{equation}
+The \textit{true} missing transverse energy, i.e. at generator-level, is calculated as the opposite of the vector sum of the transverse momenta of all visible particles -- or equivalently, to the vector sum of invisible particle transverse momenta. 
+In a real experiment, calorimeters measure energy and not momentum. Any problem affecting the detector (dead channels, misalignment, noisy towers, cracks) worsens directly the measured missing transverse energy $\overrightarrow {E_T}^\textrm{miss}$. In this document, \textsc{met} is based on the calorimetric towers and only muons and neutrinos are not taken into account for its evaluation:
+\begin{equation}
+\textcolor{red}{ \overrightarrow{E_T}^\textrm{miss} = - \sum^\textrm{towers}_i \overrightarrow{E_T}(i)}
+\end{equation}
+
 
 \section{Trigger emulation}
 
-New physics in collider experiment are often characterised by the phenomenology by low cross-section values. High statistics are required for their studies, which in turn imposes high luminosity collisions.
-
-On the other hand, due to the very high collision rate in recent collider ($40~\textrm{MHz}$ at the \textsc{lhc}) and the large total cross-section ($\mathcal{O}(110~\textrm{mb})$ at the \textsc{lhc}), the need for an online event selection is crucial in order to reject most of the event and keep
-
-\section{Validation}	
+New physics in collider experiment are often characterised in phenomenology by low cross-section values, compared to the Standard Model (\textsc{sm}) processes. For instance at the \textsc{lhc} ($\sqrt{s}=14~\textrm{TeV}$), the cross-section of inclusive production of $b \bar b$ pairs is expected to be $10^7~\textrm{nb}$, or inclusive jets at $100~\textrm{nb}$ ($p_T > 200~\textrm{GeV}$), while \textcolor{red}{Higgs boson cross-section within the \textsc{sm} can be as small as $\ldots \times 10^{-6}~\textrm{nb}$}. 
+
+High statistics are required for data analyses, consequently imposing high luminosity, i.e. a high collision rate.
+As only a tiny fraction of the observed events can be stored for subsequent \textit{offline} analyses, a very large data rejection factor should be applied directly as the events are produced.
+This data selection is supposed to reject only well-known \textsc{sm} events\footnote{However, some bandwidth is allocated to random triggers that stores a small fraction of the events without any selection criteria.}.
+Dedicated algorithms of this \textit{online} selection, or \textit{trigger}, should be fast and very efficient for data rejection, in order to preserve the experiment output bandwidth. They must also be as inclusive as possible to avoid loosing interesting events.
+
+Most of the usual trigger algorithms select events containing objects (i.e. jets, particles, \textsc{met}) with an energy scale above some threshold. This is often expressed in terms of a cut on the transverse momentum of one or several objects of the measured event. Logical combinations of several conditions are also possible. For instance, a trigger path could select events containing at least one jet and one electron such as $p_T^\textrm{jet} > 100~\textrm{GeV}$ and $p_T^e > 50~\textrm{GeV}$.
+
+A trigger emulation is included in \textsc{Delphes}, using a fully parametrisable \textit{trigger table}\footnote{\texttt{[code] }The trigger card is the \texttt{data/trigger.dat} file.}. When enabled, this trigger is applied on analysis object data. 
+In a real experiment, the online selection is often divided into several steps (or \textit{levels}). 
+This splits the overall reduction factor into a product of smaller factors, corresponding to the different trigger levels. 
+This is related to the architecture of the experiment data acquisition chain, with limited electronic buffers requiring a quick decision for the first trigger level. 
+First level triggers are then fast and simple but based only on partial data as not all detector front-ends are readable within the decision latency. 
+Later levels are more complex, of finer-but-not-final quality and based on full detector data. 
+
+Real triggers are thus intrinsically based on reconstructed data with a worse resolution than final analysis data. 
+On the contrary, same data are used in \textsc{Delphes} for trigger emulation and for final analyses.
+
+\section{Validation}
+
+\textsc{Delphes} performs a fast simulation of a collider experiment. 
+Its quality and validity are assessed by comparing to resolution of the reconstructed data to the \textsc{cms} detector expectations. 
+
+Electrons and muons match by construction to the experiment designs, as the Gaussian smearing of their kinematical properties is defined according to the experiment resolution.
+Similarly, the $b$-tagging efficiency (for real $b$-jets) and misidentification rates (for fake $b$-jets) are taken from the expected values of the experiment. 
+Unlike these simple objects, jets and missing transverse energy should be carefully cross-checked.
 
 \subsection{Jet resolution}
  
-The majority of interesting processes at the \textsc{lhc} contain jets in the final state. The jet resolution obtained using \textsc{Delphes} is therefore a crucial point of the validation. While \textsc{Delphes} contains six jet reconstruction algorithms, only the jet clustering algorithm with $R=0.7$ is used to validate the jet collection. Cross-check has been made with the results obtained using the \textsc{cms} detector. This validation employs $pp \rightarrow gg$ events produced using \textsc{mg/me} and hadronized using \textsc{pythia}. The events were divided into 14 bins of $\hat{p_T}$ of the gluons. Each \textsc{Delphes} jet is matched to the closest {\it particle-level} jet using the spatial separation in $\eta - \phi$ between the two jet axis $\Delta R<0.25$, otherwise they are discarded. The particle-level jets are obtained by applying the same clustering algorithm to all particles considered as stable by \textsc{pythia}.
- 
-For each $\hat{p}_T$ bin, the  \textsc{Delphes} jet transverse energy ($E_T^{rec}$) of all jets satisfying the matching criteria is compaired to the {\it particle level} transverse energy ($E_T^{MC}$). The obtained histograms of the $E_T^{rec}/E_T^{MC}$ response have been fitted with a Gaussian function in the interval $\pm 2.RMS$ centered around the mean value. The final jet resolution is obtained using the following formula:
- 
-\begin{equation}
-\frac{\sigma(R_{jet})}{<R_{jet}>}=\frac{\sigma(\frac{E_T^{rec}}{E_T^{MC}})_{fit}}{<\frac{E_T^{rec}}{E_T^{MC}}>_{fit}}.
+The majority of interesting processes at the \textsc{lhc} contain jets in the final state. The jet resolution obtained using \textsc{Delphes} is therefore a crucial point for its validation. Even if \textsc{Delphes} contains six algorithms for jet reconstruction, only the jet clustering algorithm (\textsc{jetclu}) with $R=0.7$ is used to validate the jet collection. 
+
+This validation \textcolor{red}{employs} $pp \rightarrow gg$ events produced with \textsc{mg/me} and hadronised using \textsc{Pythia}~\cite{bib:mgme,bib:pythia}. The events were arranged in $14$ bins of gluon transverse momentum $\hat{p}_T$. In each $\hat{p}_T$ bin, every jet in \textsc{Delphes} is matched to the closest jet of generator-level particles, using the spatial separation between the two jet \textcolor{red}{axes}
+\begin{equation}
+\Delta R = \sqrt{ \big(\eta^\textrm{rec} - \eta^\textrm{MC} \big)^2 +  \big(\phi^\textrm{rec} - \phi^\textrm{MC} \big)^2}<0.25. 
+\end{equation}
+The jets made of generator-level particles, or \textsc{mc} jets, are obtained by applying the same clustering algorithm to all particles considered as stable after hadronisation.
+Jets produced by \textsc{Delphes} and satisfying the matching criterium are called hereafter \textit{reconstructed jets}.
+
+The ratio of the transverse energies of every reconstructed jet $E_T^\textrm{rec}$ and its corresponding \textsc{mc} jet $E_T^\textrm{MC}$ is calculated in each $\hat{p}_T$ bin.
+The $E_T^\textrm{rec}/E_T^\textrm{MC}$ histogram is fitted with a Gaussian distribution in the interval \mbox{$\pm 2$~\textsc{rms}} centered around the mean value. 
+The resolution in each $\hat{p}_T$ bin is obtained by the fit mean $\langle x \rangle$ and variance $\sigma^2(x)$:
+\begin{equation}
+%\frac{\sigma(R_{jet})}{\langle R_{jet} \rangle }=
+\frac{\sigma \Big (\frac{E_T^{rec}}{E_T^{MC}} \Big)_\textrm{fit}}{ \Big \langle \frac{E_T^{rec}}{E_T^{MC}} \Big \rangle_\textrm{fit}}~
+\Big( \hat{p}_T(i) \Big)\textrm{, for all }i.
 \end{equation}
  
@@ -506,39 +552,73 @@
 \begin{center}
 \includegraphics[width=\columnwidth]{resolutionJet}
-\caption{Distribution of the jet transverse energy resolution as a function of the {\it particle-level}  jet transverse energy. The maximum allowed separation between the \textsc{Delphes} and the {\it partile-level} jets is $\Delta R<0.25$.}
+\caption{Resolution of the transverse energy of reconstructed jets $E_T^\textrm{rec}$ as a function of the transverse energy of the closest jet of generator-level particles $E_T^\textrm{MC}$. The maximum separation between the reconstructed and \textsc{mc} jets is $\Delta R= 0.25$. Pink line is the fit result for comparison to the \textsc{cms} resolution, in blue.}
 \label{fig:jetresol}
 \end{center}
 \end{figure}
  
-The resulting jet resolution, plotted as a function of $E_T^{GEN}$ is shown in figure \ref{fig:jetresol}. The plots were then fitted with a function of the following form:
- 
-\begin{equation}
-\frac{a}{E_T^{GEN}}\oplus \frac{b}{\sqrt{E_T^{GEN}}}\oplus c,
-\end{equation}
- 
-where a, b, and c are the fit parameters. The obtained resolution is compared to the one obtained with a recent version of the simulation package of the CMS detector. Overall, the resolution curve of \textsc{Delphes} matches relatively well to those of \textsc{cms}.
- 
-\subsection{$E_T^{mis}$ resolution}
- 
-Because all major detectors at hadron colliders have been designed to be as mutch hermetic as possible in order to detect the presence of one or more neutrinos through apparent missing transverse energy, the resolution of the $E_T^{miss}$ obtained with \textsc{Delphes} is a crucial point. The samples used to study the transverse missing energy performance are identical to those used for the jet validation. The {\it particle-level} true transverse missing energy is calculated as the vector sum of the transverse momenta of all visible particles (or equivalently, to the vector sum of invisible particles). It should be noticed that the contribution to the transverse missing energy from muons is negligeable in the sample we are interested in.
- 
-In order to obtain the x-component missing energy resolution ($E_x^{miss}$), the distribution of the difference between the \textsc{Delphes} and the {\it particle-level} $E_x^{miss}$ has been fitted with a Gaussian function. The resulting $E_x^{mis}$ is plotted in figure \ref{fig:resolETmis} as a function of the total visible transverse energy, defined as the scalar sum of transverse energy in all towers ($\Sigma E_T$).
- 
-\begin{figure}[!h]
-\begin{center}
-\includegraphics[width=\columnwidth]{figures/resolutionETmis}
-\caption{$\sigma(E^{miss}_{x})$ as a function on the scalar sum of all towers ($\Sigma E_T$) for $pp \rightarrow gg$ events.}
+The resulting jet resolution as a function of $E_T^\textrm{MC}$ is shown in Fig.~\ref{fig:jetresol}. 
+This distribution is fitted with a function of the following form:
+\begin{equation}
+\frac{a}{E_T^\textrm{MC}}\oplus \frac{b}{\sqrt{E_T^\textrm{MC}}}\oplus c,
+\end{equation}
+where $a$, $b$ and $c$ are the fit parameters. 
+It is then compared to the resolution obtained with a recent version of the simulation package of the \textsc{cms} detector~\cite{bib:cmsjetresolution}. The resolution curves from \textsc{Delphes} and \textsc{cms} are in good agreement.
+ 
+\subsection{MET resolution}
+ 
+All major detectors at hadron colliders have been designed to be as much hermetic as possible in order to detect the presence of one or more neutrinos through apparent missing transverse energy.
+The resolution of the $\overrightarrow{E_T}^\textrm{miss}$ variable, as obtained with \textsc{Delphes}, is then crucial. 
+
+The samples used to study the \textsc{met} performance are identical to those used for the jet validation. 
+It is worth noting that the contribution to $E_T^\textrm{miss}$ from muons is negligible in the studied sample.
+\textcolor{red}{The\footnote{je n'ai pas tout compris. Ce que j'ai devin\'e est en rouge.} input samples are divided in five bins of scalar $E_T$ sums $(\Sigma E_T)$. This sum, called \textit{total visible transverse energy}, is defined as the scalar sum of transverse energy in all towers.} 
+The quality of the \textsc{met} reconstruction is checked via the resolution on its horizontal component $E_x^\textrm{miss}$.
+
+The $E_x^\textrm{miss}$ resolution is evaluated in the following way. 
+The distribution of the difference between $E_x^\textrm{miss}$ in \textsc{Delphes} and at generator-level is fitted with a Gaussian function \textcolor{red}{in each $(\Sigma E_T)$ bin. The fit mean gives the \textsc{met} bias in each bin.
+The resulting value} is plotted in Fig.~\ref{fig:resolETmis} as a function of the total visible transverse 
+energy.\footnote{
+\textcolor{red}{Entre nous, ca ressemble plus \`a un biais (= une diff\'erence entre le vrai et le simul\'e) plus qu'a une r\'esolution! Mais je suppose que c'est la definition que tu as trouv\'ee dans le CMS TDR.}}
+ 
+\begin{figure}[!h]
+\begin{center}
+\includegraphics[width=\columnwidth]{resolutionETmis}
+\caption{$\sigma(E^\textrm{miss}_{x})$ as a function on the scalar sum of all towers ($\Sigma E_T$) for $pp \rightarrow gg$ events.}
 \label{fig:resolETmis}
 \end{center}
 \end{figure}
  
-The resolution is observed to follow the form
-\begin{equation}
-\sigma_X = \alpha ~\Sigma E_T ~\mathrm{GeV}^{1/2},
-\end{equation}
-whith $\alpha$ is depending on the resolution of the calorimeters. Knowing that the expected transverse missing energy resolution expected using the \textsc{cms} detector for similar events is $\sigma_X = (0.6-0.7) ~ \Sigma E_T ~ \mathrm{GeV}^{1/2}$ with no pile-up (no extra simultaneous $pp$ collision occuring at the same bunch crossing), we can conclude that the resolution obtained by \textsc{Delphes} ( $\sigma_X = 0.68~ \Sigma E_T ~\mathrm{GeV}^{1/2}$) is in excellent agreement with the expectations of a general purpose detector.
-
-\subsection{$tau$-jet efficiency}
-with an efficiciency of about $50\%$ for the $\tau$-jets in CMS~\cite{bib:cmstauresolution}.
+The resolution $\sigma_x$ of the horizontal component of \textsc{met} is observed to behave like
+\begin{equation}
+\sigma_x = \alpha ~(\Sigma E_T) ~~~(\mathrm{GeV}^{1/2}),
+\end{equation}
+where the $\alpha$ parameter is depending on the resolution of the calorimeters. 
+
+The \textsc{met} resolution expected for the \textsc{cms} detector for similar events is $\sigma_x = (0.6-0.7) ~ (\Sigma E_T) ~ \mathrm{GeV}^{1/2}$ with no pile-up\footnote{\textit{Pile-up} events are extra simultaneous $pp$ collision occuring at the same bunch crossing.}~\cite{bib:cmsjetresolution}. 
+The same quantity obtained by \textsc{Delphes} is in excellent agreement with the expectations of the general purpose detector, as $\alpha = 0.68$.
+
+\subsection{$\tau$-jet efficiency}
+Due to the complexity of their reconstruction algorithm, $\tau$-jets have also to be checked.
+Table~\ref{tab:taurecoefficiency} lists the reconstruction efficiencies for the hadronic $\tau$-jets in the \textsc{cms} experiment and in \textsc{Delphes}. Agreement is good enough to validate this reconstruction.
+
+~\cite{bib:cmstauresolution}.
+
+\begin{table}[!h]
+\begin{center}
+\caption{Reconstruction efficiencies of $\tau$-jets in decays from $Z$ or $H$ bosons.\vspace{0.5cm}}
+\begin{tabular}{lll}
+\hline
+\multicolumn{2}{c}{\textsc{cms}} & \\
+$Z \rightarrow \tau^+ \tau^-$ 			 & $38 \%$ &  \\
+$H \rightarrow \tau^+ \tau^-$ & $36 \%$ & $m_H = 150~\textrm{GeV}$ \\
+$H \rightarrow \tau^+ \tau^-$ & $47 \%$ & $m_H = 300~\textrm{GeV}$ \\
+\multicolumn{2}{c}{\textsc{Delphes}} & \\
+$H \rightarrow \tau^+ \tau^-$ &$42 \%$  & $m_H = 140~\textrm{GeV}$ \\
+\hline
+\end{tabular}
+\label{tab:taurecoefficiency}
+\end{center}
+\end{table}
+
 
 \section{Visualisation}
@@ -587,9 +667,10 @@
 \bibitem{bib:Hector} \textsc{Hector},
 \bibitem{bib:Frog} \textsc{Frog},
-\bibitem{bib:CMSresolution} CMS IN 2007/053
+\bibitem{bib:cmsjetresolution} CMS IN 2007/053
 \bibitem{bib:Root} \textsc{Root} - An Object Oriented Data Analysis Framework, R. Brun and F. Rademakers, Nucl. Inst. \& Meth. in Phys. Res. A 389 (1997) 81-86, \url{http://root.cern.ch} 
 \bibitem{bib:cmstaus} Tau reconstruction in CMS
 \bibitem{bib:whphotoproduction} WH photoproduction, S. Ovyn
-\bibitem{bib:mgme} Madgraph/Madevent
+\bibitem{bib:mgme} Madgraph/Madevent version xx.yy
+\bibitem{bib:pythia} \textsc{Pythia} version xx.yy
 \bibitem{bib:pdg} C. Amsler et al. (Particle Data Group), PL B667, 1 (2008) (URL: http://pdg.lbl.gov)
 \bibitem{bib:cmstauresolution} R. Kinnunen, \textit{Study of $\tau$-jet identification in CMS}, CMS NOTE 1997/002.